commit 5d151f5fc14e5b8db3694f367ef47e1a9d7bb9ae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 14 13:33:06 2026 +0100

    Documentation improvements.

commit 0fa369ee97ab38fe9ecdde3e33365c58cf930edb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 14 11:31:26 2026 +0100

    Formatting fix.

commit 87807ab6f065951e348d9f8509893854b27a47f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Mar 14 11:20:27 2026 +0100

    Improved CMakeLists.txt.

commit cde1897d0da4a3790449d6733baa033e3e0438bc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 16:49:36 2026 +0100

    Further improvements of the documentation.

commit 4b0619952e3a912dc16c9c66c0e419aa25ec3941
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 16:17:02 2026 +0100

    Improved examples.

commit 7a0d8f596dcbc4d73ebceb771245cd7204151b11
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 16:10:28 2026 +0100

    Small fixes and improvements in README.md.

commit 4ad2c35750f88bad4889c4a492ebad835799a828
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 15:55:53 2026 +0100

    Changed legacy naming of the example files from ".results.*" to ".hpct.*".

commit 00afe5c397e8371d0937732eb1bfb399676516ec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 12:07:08 2026 +0100

    Updated manpage.

commit 7c3649aebb4b20c7bb8d740d7dddef6563e98035
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 12:06:40 2026 +0100

    Code formatting fix.

commit 07d8acba2fa2f51c1341e6ddc320193d561da3fa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 12:06:27 2026 +0100

    Further documentation improvements.

commit 3eb14e04af3d71f04bfc7caf28f93db9ae018168
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 11:49:53 2026 +0100

    Further improvements.

commit dde1028fa0a388c27e37ff23516e2f8a95d1470e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 13 10:58:29 2026 +0100

    Further improvements of README.md.

commit e7c51bbb5a61a0901d7551c49f43dfe54166006c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 18:39:09 2026 +0100

    Minor update.

commit c3a28106c5fa44a158c6c58792b230a95451bef7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 18:36:52 2026 +0100

    Improved documentation.

commit 43afed2129384543b8f2cfd040380c1e06b59963
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 17:41:31 2026 +0100

    Improved README.md.

commit e02d6ee3d87607c4261a429dd343dbb35692fa8e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 16:52:21 2026 +0100

    Improved documentation.

commit 5fc77d3af8cd327e74668ea2960c9904c3d86f96
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 15:21:06 2026 +0100

    Removed comment.

commit 7bad29ce9a509403a99da5eedb15305c54572c5e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 15:17:39 2026 +0100

    FreeBSD build fix.

commit 35148a7827fa72398f3e8e57a54aa2bb57e4e5a6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 15:06:34 2026 +0100

    Debian/Ubuntu build fix.

commit 630ee8e2a4f0bf9bb0620c7bc3479758044b411c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 11:13:14 2026 +0100

    Updated URLs.

commit d1353d732af03326a07b1ac68901e4c98b85c354
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 12 10:55:50 2026 +0100

    Improved Python library.

commit 22ffa4c81969b7e2c14dfca06dcffe0d444fcb6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 11 15:07:08 2026 +0100

    Updated helper script.

commit 272e0ed01e6023855ce0395292fee3063ff40832
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 11 15:06:56 2026 +0100

    Improved QueryHelper.py library.

commit 0fbdeb09d0db8202b2c658c24d413c910cccf21a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 11 15:06:39 2026 +0100

    Improved examples.

commit 3be70c2b27f13d3c6ac0a7ffadb2672d6547853f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 11 14:35:13 2026 +0100

    Improved query example.

commit 753bfedfb3b805205cf9664809b819490b8f4550
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 11 14:30:13 2026 +0100

    Added Python SQL query example.

commit 0e362d6ab798a88c8429cb752cbc6c89aae40be9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 11 14:29:58 2026 +0100

    Improved Python query helper library.

commit 714509d485b6f895a98d23f849616e1d12ef2d5c
Merge: 2146322a 156ac9e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 9 12:14:32 2026 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 2146322a2bd39f25826128e106994ac3e902156f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 9 12:14:14 2026 +0100

    Improved documentation.

commit 156ac9e7d6548da0b852d0fba8953ff21e46ff7b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 9 11:37:38 2026 +0100

    FreeBSD PostgreSQL test update.

commit c530918fe512121aadee3098d5097c4ae91f301f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 5 17:15:32 2026 +0100

    Updated FreeBSD port.

commit 19a9b396419d3f0aecdf19278f077c0408d792a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 5 16:13:59 2026 +0100

    New release hipercontracer-2.1.11.

commit d8dfb14bab33fea76344f13c3e8d6e92cff40825
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 5 10:17:49 2026 +0100

    The latest libpqxx in the FreeBSD Ports needs C++20 and minor access updates.

commit e9c1a7b43ed9b28d4cc8858515f2eeac98e276c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 14:25:36 2026 +0100

    Updated FreeBSD Port.

commit 22798a1deb517986dd46e0f53c129df23b90b963
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 13:48:28 2026 +0100

    New release hipercontracer-2.1.10.

commit fb14eb9b17e37497f50111025b7878155e717bbf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Feb 25 12:17:12 2026 +0100

    Minor clean-up.

commit 15642b28119f05d13d84861789f424b2312923f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 9 15:19:41 2026 +0100

    New release hipercontracer-2.1.9.

commit 693ff3d86f0a07cddd3d410e027ec08abd2cf8ad
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 9 15:18:52 2026 +0100

    Debian/Ubuntu dependency update: removed obsolete libboost-system-dev dependency.

commit 6167eba663b00deaeeae1cc837964c6c56ff3a5a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 9 14:40:02 2026 +0100

    Improved CertificateHelper.py.

commit b1d1109e72aa7cbad362e51c1dd43a2ce6c1022f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Dec 14 21:21:43 2025 +0100

    Improved HiPerConTracer.R library.

commit 7b5ebb1990f3e239cd16316845ffb412da2be62c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 12 18:55:32 2025 +0100

    Updated documentation.

commit e73a47427b8dab90394d855448bdff1d55e92fbd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 10 09:40:03 2025 +0100

    Updated FreeBSD port.

commit d5d038119aaf684f1cb56c9eede08f46594e032e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 17:33:13 2025 +0100

    Configuration update.

commit 0c4d0ee0e353b869caef21adcebb2071e2fd3e18
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:46:43 2025 +0100

    New release hipercontracer-2.1.8.

commit da362827b8d1d432e847f3b4684e00a2e036ec53
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 9 16:37:10 2025 +0100

    Updated CI scripts

commit cdabfcb0ba359e27bdd3981a13451986adcf1520
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 8 22:34:48 2025 +0100

    Updated CI scripts

commit 5ec9f69beb3f036bd849d763aea712b5b868998b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 15:47:48 2025 +0100

    Updated CI scripts

commit fc9dbf9f5033f507ec6de508b8a7aac4591d420b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 15:46:19 2025 +0100

    Packaging update.

commit 2c6fbf27b4512c18a825a10a8c7e56c1d954f5f2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 14:13:08 2025 +0100

    Length check for interface name initialisation in ifreq.

commit 4504ceb4f1447b26f1ea0a0071b0f5097704d3e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 13:36:56 2025 +0100

    Updated CI configuration

commit 8b4622554e8ae5c22a13d7f55d55e9ff44b6988a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 13:36:54 2025 +0100

    Updated CI scripts

commit 09c98e9ed65ffdc2d8102a078857e9076efbe511
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 11:37:10 2025 +0100

    Updated build helper script.

commit 371318cb4bc9946c30f289dc6dc6f390038bdc6b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 11:34:32 2025 +0100

    Updated CI configuration

commit 6ad3b039e9bada27c2a790b3a16a8a0ce7ed83e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 5 11:34:19 2025 +0100

    Updated CI scripts

commit 64d4febdb9d47088c8c3e9bc7b1a9776beadaa9f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 17:57:59 2025 +0100

    Updated CI scripts

commit f472f64f9e89fadae5d5d46cf77c50d68a018301
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 17:24:12 2025 +0100

    Updated CI configuration

commit de8876b199776b9a04e07d22af101650cb18e300
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 15:30:48 2025 +0100

    Updated CI scripts

commit c3f9d6c0be8ed5898822e93ae3e7617241b96f25
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 15:01:26 2025 +0100

    Updated workflows.

commit 963201562d143181b28e7d3261e7ccd36d8dc83d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 12:36:41 2025 +0100

    Header updates.

commit cf9945110b031404b0ddbe871592cefb8eb5e316
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 12:31:20 2025 +0100

    Updated CI configuration

commit 3696946cc1f9f8a592e96f03a9c651d08d46b1a4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 4 12:31:18 2025 +0100

    Updated CI scripts

commit dd2030257b5d644e3f76f02161a583b9e63873ac
Merge: 88fdddd7 46a63c95
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 3 21:36:07 2025 +0100

    Merge branch 'master' into dreibh/tls-setup

commit 46a63c95b8e8d341d1f09e1fb94e7018bc2865e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 3 15:46:40 2025 +0100

    Updated CI scripts

commit a35033083babd2a01ba871b139cf905c2dc76c98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 15:45:02 2025 +0100

    Updated CI scripts

commit 793c43f8c893e86368497da0d207cbe8c897353a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 15:44:23 2025 +0100

    Packaging improvements.

commit ff7c28e27ea3cfdbd1fc5c9733c683243b8937fa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 15:04:23 2025 +0100

    Updated CI scripts

commit e0fcbddc8c1cebc5b744e9f052e5d59c5bf9c56f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 14:56:30 2025 +0100

    Further packaging improvements.

commit a978918e5e2a28f889e334b2e1407595510b11b1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 14:47:01 2025 +0100

    Packaging improvements.

commit 7a42f92011710482b10d56984f670316a9f66db6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 11:27:04 2025 +0100

    Updated CI scripts

commit c001de73d780f7cd5a81b3ee528374ba4e6c6435
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 28 10:42:05 2025 +0100

    Workflow update.

commit d0ea65dca27af5d32baaab3b43d70f2472d8be72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 16:18:12 2025 +0100

    New release hipercontracer-2.1.7.

commit 472e57d6fd1cc656370161b35afc20befa5b07b0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 15:40:13 2025 +0100

    debian/control: Removed Vcs-* fields.

commit 33576da98c95722025fa3cf226f38c9547998db3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 15:39:43 2025 +0100

    debian/*.install: usr/lib/*/ -> usr/lib/${DEB_HOST_MULTIARCH}/.

commit 917cbf4314282e1a4250f94afcc8739745aae2b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 13:31:05 2025 +0100

    Updated link.

commit 351a78dc4481e763073074b049d7fb23730a27ec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 26 12:04:33 2025 +0100

    Updated test scripts.

commit 88fdddd7846372365d1d6249378ca9d4c42f2808
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Nov 23 21:07:09 2025 +0100

    Small documentation updates.

commit cdaeba72c995006aa637d88dbed72577c63afd0d
Merge: 21a8d926 70293062
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 21 15:50:09 2025 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 21a8d9266506316696ac443882f8d1168475ccba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 21 15:48:11 2025 +0100

    New release hipercontracer-2.1.6.

commit 702930622bf159d7a7b0d6752331f6884a97edfa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 21 13:30:07 2025 +0100

    Improved FreeBSD test run.

commit 5f9020656a98ea2ad0f2af38fdcbe423415381a6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 21 11:29:31 2025 +0100

    A small fix for the test script.

commit 460859939bff82e39def8ceab08511f575cd7d86
Merge: 38cf5c20 8d58ac25
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 15:43:18 2025 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 38cf5c207bd7acaed2a0e8ab204b3ed6814ef01a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 15:42:59 2025 +0100

    Updated test scripts.

commit 8d58ac25426c5edca3ad33f7347a9bf00a0c00c0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 12:49:10 2025 +0100

    Updated FreeBSD port.

commit 25624552a1e942894a7153f041d51ab34cffc558
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 19 12:40:27 2025 +0100

    New release hipercontracer-2.1.5.

commit a1a703b85c17b6df4c346677dda64f9c4f3f13ba
Merge: 4592a94d cc05bc4b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 17:34:54 2025 +0100

    Merge branch 'master' of https://github.com/dreibh/hipercontracer

commit 4592a94d221b5681afb9c66fa07565ba7b5903e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 17:34:39 2025 +0100

    MongoDB installation fix.

commit cc05bc4be35ccf4e0fe2f5cac9e322a104073f65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 16:51:57 2025 +0100

    Error handling fix.

commit e7253f2a6d2704643ba7421734be9907720f5fa6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 15:30:32 2025 +0100

    RPM spec fix.

commit 6adf05b519c117c728823cd2d48a9bbc1f6e4055
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 13:41:29 2025 +0100

    Packaging improvements.

commit 01d352bad8ed02b49a0e316f29a71775ba0e9b9a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 09:57:14 2025 +0100

    A fix.

commit 526759767a63a5fb4bca41cae9635f8936124726
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 18 09:41:30 2025 +0100

    Documentation improvements.

commit 38f3d649069f490c485382c51a1620d77d318037
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 11:46:20 2025 +0100

    Another update for the FreeBSD port.

commit b11f2a0d4bf7b0a7ff022425fc7d71b22f2ba26c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 11:36:44 2025 +0100

    Updated FreeBSD port.

commit 0a552146834d14c1af4a97d79d00fb34819b4592
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 14 11:09:10 2025 +0100

    New release hipercontracer-2.1.4.

commit 2f83a6f4accbad9743f7690743e0c69916e84ab8
Merge: 113caa03 7b8f5f9d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 13 13:42:10 2025 +0100

    Merge branch 'master' of https://github.com/dreibh/hipercontracer

commit 113caa0339328974f9d2d97e2569fd35de0e3409
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 13 13:41:05 2025 +0100

    Improved MongoDB installation test script: Allowing installation on non-LTS Ubuntu, by using the Ubuntu 24.04 repository.

commit 7b8f5f9d60b29cc58645cd00cafa51a338e6d09c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 18:06:40 2025 +0100

    Improved documentation.

commit 26a525a4c69574d3a109ce30363f0099b43df99c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 17:44:29 2025 +0100

    Improved documentation.

commit f7726708dcf4573df839804d5857e259262ab473
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 17:44:18 2025 +0100

    Improved dependencies of the examples.

commit 31e3c2a52233d82e026da986099d9c89bd2c7e9f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 16:35:38 2025 +0100

    Further example improvements.

commit 45130ba71414f49267de4a1b3beb052ba0754cd9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 16:26:49 2025 +0100

    Further improvements of the R data processing examples.

commit 9c0cb8e52e27be896009e82746f0176904a49341
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 15:55:07 2025 +0100

    Further improvement of the example.

commit 81597a7c76173815e35c0f93f400cfb643ae0e7d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 12 11:57:54 2025 +0100

    Further improvement of the Ping example script.

commit ed96cecfb7b2d8c25fc0fac75e019d8b5a629334
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 10 17:15:19 2025 +0100

    Improved Traceroute example as well.

commit abedcc2c1ec8c48e7ea841394d3f61df452cf940
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 10 17:06:43 2025 +0100

    Improved GNU R example to directly handle HPCT files and directories.

commit 3a3067ba3395bde202dc436c66592a2adad81a35
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 10 16:06:59 2025 +0100

    Minor clean-ups.

commit 2b46fbc6e2902e42cba53bbf1e02b3a3dced2923
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 10 15:59:24 2025 +0100

    Improved example.

commit 90c1266e1330af4072aac3dcf8569c7608d63276
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 7 16:13:15 2025 +0100

    Minor documentation update.

commit 5d5ae9c9b598033b5cc7b1ffe027d2c438fdef2e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 3 13:03:53 2025 +0100

    Yet another documentation update.

commit d4f8e5aca390ccb05748e6b44d0eba214909f390
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 3 12:49:49 2025 +0100

    Minor documentation update.

commit 6c92cb050b3ebdd6ea4f98cf12e8453388d6b483
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 3 12:40:02 2025 +0100

    Improved documentation.

commit 9fd878d3fa14bc548473b1e3096da20292476622
Merge: 6cbaa687 95fcde0f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:40:34 2025 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 95fcde0f122da7e81a7a6c506d903e06569b6530
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:40:00 2025 +0100

    Updated script.

commit 6cbaa6875cb0859cde4b4b20125e37a9cab9b51b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:39:42 2025 +0100

    A fix.

commit 28bf801ef88f7a27b59d5d4f53681ce92c7fa21b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:15:21 2025 +0100

    Improved test scripts.

commit 35e7688ccc16dcf87293c83bf7f98fc24cfb37fc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:12:50 2025 +0100

    Some clean-ups.

commit 950f1b80fb1b448b81d5d5e6db15e2b5ee98e655
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:04:28 2025 +0100

    DBShell: dry-run does not require check for installation of DB client.

commit c9ef5ba0637ed3afd657d42a154dc4c9cb8054b1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 31 16:01:38 2025 +0100

    DBShell update to also use getopt for arguments handling.

commit 83148151fbc2120991145a43b18cc53f80a1667e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 12:20:25 2025 +0200

    New release hipercontracer-2.1.3.

commit d35c2ba379935b93790bed1350a0e16e9ebf9205
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 12:13:31 2025 +0200

    Updated helper scripts.

commit d93c901767ba4ee60c2e7c8ee2e7fd625a46aaa8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 11:51:57 2025 +0200

    Packaging update.

commit de0eba2b6e21f2b0b9deac320fbd0ef5af5c25ab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 11:50:42 2025 +0200

    Updated CMakeLists.txt.

commit 0851327284d51cb2098e57763f8efa7d666872c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 10:58:34 2025 +0200

    CMakeLists.txt update for building with BOOST 1.89.

commit 1c27fe10e0c0dd0312ba01d6255bf0b8725d7963
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 10:58:11 2025 +0200

    Further replacements of deprecated boost::asio::deadline_timer by boost::asio::steady_timer, to allow for building with BOOST 1.89.

commit 51a850b6083a02cdfaa4ae2a671785cc522218c5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 24 10:48:17 2025 +0200

    Replaced deprecated boost::asio::deadline_timer by boost::asio::steady_timer, to allow for building with BOOST 1.89.

commit de44e42423a3056be0eadb72184a8bc0afc7a54c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 23 17:19:42 2025 +0200

    New release hipercontracer-2.1.2.

commit c0c5dd58d1659d06cfd459e6f3a64550f54c514f
Merge: 4650293e 5a11fc94
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 23 17:07:08 2025 +0200

    Merge branch 'master' into dreibh/tls-setup

commit 4650293e262768c47a4cd7badea39db4518008de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 23 17:00:52 2025 +0200

    Updated FreeBSD port.

commit 117cb84af142119e8e30bb100681d7f850f0bded
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 23 17:00:40 2025 +0200

    Updated FreeBSD test.

commit 2a6d9eddfc57e4f03ad221b56b84d18c094f79eb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 23 15:37:19 2025 +0200

    Minor string fix.

commit 2062d1b4c2b5427b708762e94699c2bfdc5e1e3f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 22 19:38:42 2025 +0200

    Improved scripts.

commit 533d30cc11b43c08355af819862b9b1852da34bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 21 13:58:41 2025 +0200

    Output name fix.

commit 49f7b135fca47ac04ef8bfc293cf5de57d56d357
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 21 13:58:00 2025 +0200

    Minor fix.

commit 5a11fc947fb8da5c16402bb8fbfccbd58346f2f6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 21 13:22:12 2025 +0200

    FreeBSD port fixes.

commit 2a1e217073cd1b2cea0fe488cfe22751d4537fc5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 18:34:09 2025 +0200

    Some clean-ups.

commit 99fe174cffdfe47a91fd92801e766b52a912680e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 18:23:41 2025 +0200

    Improved scripts.

commit 03b1192c075d1eaff849f253fbc3de8964208575
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 18:22:27 2025 +0200

    Added another script.

commit 2baf89051c87a07fb9ae600aa067f361a7501647
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 17:26:39 2025 +0200

    Improved scripts.

commit 3c41efb263fc37aea9e3106de6297246df03f444
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 16:49:25 2025 +0200

    Added script.

commit 689df6481c3c949eb3ed9a55b1f219ff1e3a1d62
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 16:14:35 2025 +0200

    Further improvements.

commit 6fcbd9701ea98fd1b31e0904a709434c97a0a3d7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 18 15:47:51 2025 +0200

    Started to add option to include CRL check.

commit 65cebb212a68e489d487c6a2e3118f7d6b245b27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 23:57:21 2025 +0200

    Some improvements.

commit dd5cfe1b6650d0f375821048e9bbfc7511a48475
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 23:49:31 2025 +0200

    Some clean-ups and small improvements.

commit 2bb8e469ca44145dcde37431245ee04d65a003e4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 23:35:43 2025 +0200

    Further improvements.

commit b4c2f378df8e58dd2c7dc7b533e946d45c5a3aee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 22:34:56 2025 +0200

    Improved script.

commit 38c8792fe41edefda4d4b01ff2651a015ee36b71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 22:34:41 2025 +0200

    Improved CertificateHelper library.

commit b82a84da7b02d1367b8d06cb5d2a405ff12906b1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 20:35:02 2025 +0200

    Improved configuration.

commit 3761296064e0dd012f19527c4041ad6b62c41987
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 18:13:14 2025 +0200

    Improved script.

commit 7a09bb4bb9fd888b198c335dc5eaceb54059564c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 17:55:37 2025 +0200

    Some progress.

commit a8e6ef1be5b1858b4d6673d6f1f7dc76f818c261
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 17:40:31 2025 +0200

    Some testing.

commit cbc12c9b85cdf4f180ee5bb61a34633c874c9483
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 13:13:22 2025 +0200

    Minor fix.

commit a9f55d65cb4342a53a9b7bb40f49c1707eb954ba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 13:05:21 2025 +0200

    Improved script.

commit fd3b007594d88b22d4bdabc19a5b317c8d0538df
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 11:11:11 2025 +0200

    Improved helper script.

commit e3f84132383d3ffc32bcf8942e7a74aea167e0e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 17 11:10:58 2025 +0200

    Improved database configurations.

commit 7b8965b85bec6815d9a6ca15a58c8a866cf579fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 23:54:24 2025 +0200

    Some clean-ups.

commit b2da4c11a0668daa68f22b1bd155745e64741a5b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 23:18:03 2025 +0200

    Further improvements and clean-ups.

commit 52be507a86c0ea1cd35e9a14626588ef05b102a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 22:43:11 2025 +0200

    Improved CertificateHelper library.

commit a284f4184f6e4e3b99b1d505d2d09ee834c15201
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 22:20:48 2025 +0200

    Improved script.

commit 5905226036d323dbe62dbf967b9d31104ca777bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 22:02:12 2025 +0200

    Simplified CertificateHelper library.

commit 27b3ce5f1221ab7d8234a6b67471f9d2e4f3e186
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 22:02:06 2025 +0200

    Improved script.

commit 944fcc9a3feba182788fe92225f34bf768e1543d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 16 20:23:25 2025 +0200

    Added helper script.

commit 6a69263fb7f9a6b81ba56fffee860e10dcd66933
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 14 19:27:27 2025 +0200

    Improved documentation.

commit c439eda086eda64e569ce0c3987e6319763e0c79
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 13 21:43:48 2025 +0200

    Minor documentation update.

commit 40f919ea1c1e8276a57ec7f68a2c853cdf13d0ee
Merge: 9fb3e3c7 de90f979
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 13 20:41:08 2025 +0200

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 9fb3e3c73beda6672efd2053e8626648eab79e2b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 13 20:18:29 2025 +0200

    Improved documentation.

commit de90f979ef3d822b7be2975109dfb96be5776f10
Merge: 8d981649 49dc7d52
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 10 11:15:38 2025 +0200

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 8d981649252c82248314e16357c5e3c7b19604d7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 10 11:14:26 2025 +0200

    Updated README.md.

commit 49dc7d52034d68f1a43535dbaa0f3df638b3ef86
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 6 20:28:59 2025 +0200

    Configuration improvement.

commit 23297c5caadb4245828b55592a3dec919dfb382e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 25 17:13:53 2025 +0200

    FreeBSD packaging update.

commit 1f9d6a6194372522fcdf809f10e0d606a7f9324d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 21 17:58:44 2025 +0200

    New release hipercontracer-2.1.1.

commit 358939e7cffce9f658cf467461aa7ca99da93ef2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 14 20:43:29 2025 +0200

    Fixed handling of location for MongoDB headers under FreeBSD.

commit 06464eb8b7aadf848f7351838e006c62a7feb097
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 14 18:36:04 2025 +0000

    Fixed handling of location for MongoDB headers, to work with version 2.x.

commit 711cd27af46d877d3953bcdcdb5d95f2ce3cfde7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Sep 14 17:05:19 2025 +0000

    Improved MongoDB library detection in CMakeLists.txt.

commit 681e4f07925d409c2be4b00fa803113109ffec71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 10 10:05:56 2025 +0200

    Formatting fix.

commit 3c478d7d90798569a9e47867c6e06bba0404a4de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 9 15:53:02 2025 +0200

    Fixed URL.

commit a3e94739689944e585df0b81440f4534170299e7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 2 17:28:13 2025 +0200

    Minor update.

commit 8fd5707199dd90bd2afe39a2926dad21e2deeb6c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 2 17:06:29 2025 +0200

    A fix.

commit 997d53c0f052ccfc4f629230d198168b45c176ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 2 16:27:15 2025 +0200

    Improved script.

commit 9b199f8252103fee9a87f61aa64850ee82a300f1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 2 15:30:17 2025 +0200

    Updated README.md.

commit d1a60292d1b4d1be5fe36e4e8f129e48acf394ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 2 15:30:07 2025 +0200

    Updated logo.

commit adf17148223418fa1f0c3074422e426866725309
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 2 15:29:57 2025 +0200

    Updated figures.

commit 12fc3fa5767d2f6a7b6f0f88cce2bc8e44aae275
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 1 17:37:32 2025 +0200

    Fixed URL.

commit 3c5eb59d6cbbefc81bdc3ddbf00b479275f8c3ee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 1 17:08:38 2025 +0200

    Improved documentation.

commit 48b85d1dc80e5c1201efe3004bc94e24a32307bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 1 15:46:29 2025 +0200

    Improved README.md.

commit 349c4a8df5b9c36fea32d2817018ff25897c7300
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 13 14:03:01 2025 +0200

    Updated script.

commit 507e9956d8034bfa27b8a5848fa2b72fd73d3745
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 13 13:24:42 2025 +0200

    Updated CI configuration

commit 4b281550115b1e33df085b4bd2981063ee8bd162
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 13 11:43:55 2025 +0200

    Build fix: Using POSIX utimensat() instead of last_write_time(), due to changes between C++17 and C++20, as well as BOOST build issues on Debian 13/ARMv7.

commit 876e41186255334d27bb36951ad1f378b876499f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 13 11:39:56 2025 +0200

    Fixed comment.

commit 2c7e4b64211763400c62c10f6415546d5d760ec5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 12 13:17:32 2025 +0200

    Updated CI scripts

commit b25169c34b4a86db806f8f961058c398db817728
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 11 16:53:22 2025 +0200

    Workflow updates.

commit 3d3ef565b3c8f267e7b1744375a727e09c7a74d0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 11 16:53:08 2025 +0200

    Updated README.md.

commit e7716b437244d6a6d3e493a0b0fa4bdaa989f2ef
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Aug 2 13:43:58 2025 +0200

    Improved script.

commit b2650eb658bd03da12075283e77ea489fd974a5f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Aug 2 13:00:34 2025 +0200

    Improved script.

commit acce541d3d7da1057b8f4a6080bad020dbc2d337
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Aug 2 12:49:49 2025 +0200

    Added helper file.

commit fcda2e74e7918f2e66f1b5abfb8cb8ede76f749a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Aug 2 12:30:28 2025 +0200

    Moved file.

commit 5850ad418e2e34ce20ec95a7502761405736395c
Merge: 2019dfbc 10d5f9c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Aug 2 11:43:36 2025 +0200

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 2019dfbcdff9d58985ff35493d5020f262e9389a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Aug 2 11:43:23 2025 +0200

    Minor update.

commit 10d5f9c185a66599e7681f983362ec5c301d75ae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 1 16:17:09 2025 +0200

    Another workflows update.

commit 78bc495e194781613c5e04742a6168e255cfe750
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 30 14:25:42 2025 +0200

    Improved R functions library.

commit c5c5a19ac0368d0a20c21a481ef6919307e70b54
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 25 00:01:44 2025 +0200

    FreeBSD port update.

commit a0f757a78dcfb57764c3a13b8bb60c4d85af0ee7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 19 11:04:38 2025 +0200

    Packaging configuration update.

commit caf699edb4df704d33b0febbea54131772391acc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 16:10:05 2025 +0200

    FreeBSD port update.

commit c6a13880ea451c6fbebbb6c4e475ad4ef9d91cf3
Merge: 8eb52a22 7039ccda
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 15:39:36 2025 +0200

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit 8eb52a222fcaad3f097ef77e0bf445ca3578bc4a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 15:38:59 2025 +0200

    New release hipercontracer-2.1.0.

commit 7039ccdace4235aa709f52dd4512c78127491b13
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 15:31:00 2025 +0200

    Depend on BOOST 1.88 in FreeBSD port, due to broken ZSTD support in older versions of the FreeBSD BOOST port.

commit 97c3a25c54c30b2b06fbb7341164ae256d7561dc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 14:24:45 2025 +0200

    RPM fix.

commit 908372f5b91029048e0a986c631c2db6776ab636
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 13:03:35 2025 +0200

    Version bump.

commit 71b025ecf2283bb16cb41596b2e9695fc344c42a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 12:51:40 2025 +0200

    Improved MariaDB/MySQL database user permissions.

commit 7d42401c19f3acf08dc7e9b9d009f8cede660d41
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 12:33:55 2025 +0200

    Bugfix: Fixed missing double-quoting in getopt call.

commit 7cbab133fe0e9126c6ca69427a99ebadb91e266b
Merge: dd5a8b7e dae5c0e4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 18 11:53:58 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit dae5c0e4f2d7ad56db6cab6af4feb0df0603ce03
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 10 13:39:53 2025 +0200

    Updated manpage.

commit ef23310c3c1f9b07e6feb742a85a65ddaf09c587
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Jun 8 16:24:55 2025 +0200

    Label fix.

commit 81d7f856e054224e4b59f77a6837808bfacf1e27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 5 11:00:15 2025 +0200

    Updated FreeBSD Makefile.

commit 4525f2fb5578aff2075069d7cc0552a8205caa73
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 5 09:03:33 2025 +0200

    Updated FreeBSD port.

commit 36ac37a1dab58ac5688bc0b1e6b65d7a137100ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 5 08:57:04 2025 +0200

    New release hipercontracer-2.0.17.

commit dd5a8b7e49b95ea750bd64fb14d5009540161c70
Merge: a1485b8a 0c1eff1c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 2 18:41:44 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 0c1eff1c3f482b94f0c7fb1d7d80393185419e36
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 2 18:39:22 2025 +0200

    Build fix for BOOST 1.88: this_process was removed => obtaining process ID via getpid() now.

commit 7d4434d72c000c5816c4c48ea1e7821add4c5360
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 2 17:51:31 2025 +0200

    Improved example script.

commit 35f14a737bb5e1d44759d6f5223caabda17ee41d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 15 00:02:34 2025 +0200

    FreeBSD Makefile update.

commit 0dd7acc2f5c4167b632de7f549c816de35b3087c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 14 23:55:31 2025 +0200

    Updated FreeBSD port.

commit a1485b8a77987eff1a9246bd9b75aec2bbcee9d2
Merge: 6033be83 31ca25fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 14 17:45:37 2025 -0400

    Merge branch 'master' into dreibh/libiostreams

commit 31ca25fdf28a59ea30ec40ed28ef7e73078eda62
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 14 11:44:55 2025 +0200

    New release hipercontracer-2.0.16.

commit c0bbf1a0a890391cca0591ad9ba0b4b5ed89ae43
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 14 11:43:28 2025 +0200

    Debian test dependency fix.

commit 99c10a2b09d29cdd82171e4f26905eec22058eeb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed May 14 10:58:52 2025 +0200

    Packaging fix: The SQL views files were missing as well.

commit 9d99e103f6fe953928037ef77dce7ce8dc91e47d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 17:28:00 2025 +0200

    Bugfix: SQL files for functions and procedures were missing in installation packages.

commit 97d51a99179e98d53d712f2e46859809e2752e65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 13:58:17 2025 +0200

    Dependency fix: setfacl is required.

commit 6033be8324bb7544dd9047121a747f04dc3a04b9
Merge: ce7836d2 b1c1ee29
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 12:15:09 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit b1c1ee29b5104ab9765258b8e83cf9ec6018aded
Merge: d849e096 ac44df2d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 12:14:50 2025 +0200

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit ac44df2d8b53b6105dbb80828ed608679482cc6b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 11:35:12 2025 +0200

    Updated FreeBSD port.

commit 7662ee8becd065d01c76a69e320f66437ee69cb4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 10:21:46 2025 +0200

    Updated FreeBSD port.

commit 3266df07b7638d100250012ea918a94ff4e0c574
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 10:16:09 2025 +0200

    Updated FreeBSD port.

commit ce7836d22dfbb79b4052228884c0aff3bbe449bc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 10:07:19 2025 +0200

    Fixed merge conflict in ChangeLog.

commit 3183f4266b510b94fb117842a7960b391c87b1e6
Merge: f4c21b79 d849e096
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 10:06:27 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit d849e096b9610b797a7e3ce20770565284f7e098
Merge: 834f8946 af1a8ad8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 13 09:57:43 2025 +0200

    Merge branch 'dreibh/db-partitioning'

commit 834f89464462e67cf0f28b19d2dc8fe70b9b70b2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:50:38 2025 +0200

    New release hipercontracer-2.0.15.

commit 06ea126d631f397b582579b2b859127217690467
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:45:57 2025 +0200

    Updated year range in debian/copyright.

commit ce3db1c3a4dbfc31d2db7ead8547af3837f0b77f
Merge: eb58d338 7fe30417
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:19:49 2025 +0200

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit eb58d3386dd3b84510332667951b3b8e7b832e43
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon May 12 22:18:22 2025 +0200

    Improved manpages.

commit 7fe30417c2f708c6be817a0b8fdb62689dfc9bdd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 6 13:23:38 2025 +0200

    Bugfix: Also handle generic std::exception in importer. This may occur e.g. for a decompression error.

commit 8816ddc82676a996989f78c44de81663710ab540
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 6 12:53:05 2025 +0200

    Improved data handling in example script.

commit 4b6c4470704d256f4d36122fe6600aa88619c7f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue May 6 12:38:47 2025 +0200

    Updated example.

commit 384d8af7dda22ac4cc7084eef4abff9422042948
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 1 09:37:45 2025 +0200

    Improved R example.

commit af1a8ad8a57bc9f00d8d5ca8091e4f9b536728f9
Merge: b2d374d6 5beff3d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 28 17:40:26 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit f4c21b79d8872fe0fdb58bc34d4db86a319a7d5d
Merge: b861a60e 31287f1f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 21:09:36 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 31287f1f6e44b57f4ab53e5e62f02e8e8a77201c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 20:53:43 2025 +0200

    Updated FreeBSD port.

commit 756d21e904465b2be7d8dfe18094d45fbdc7d8b1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 20:49:07 2025 +0200

    New release hipercontracer-2.0.14.

commit f7d3f468f054ecdd9810e508fa62d03e5e92779d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Apr 27 20:48:15 2025 +0200

    FreeBSD build fix.

commit 5beff3d29fe9d4ed957995c3928ee0f25b650c50
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 24 17:08:51 2025 +0200

    Improved test script.

commit b861a60ebb03c6534ea905610b7bb6d328b9955a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 24 17:08:51 2025 +0200

    Improved test script.

commit 5d2da63f0f1706f1f47882cc35241ebbc4e36d7d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 21 19:49:48 2025 +0200

    Updated debian/metadata with references.

commit ba5c655a41208cc6e3482c59cb869106ec54a702
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 16 08:52:14 2025 +0200

    New release hipercontracer-2.0.13.

commit 5fc996268f7c180b9a21add7c7a0902a67313ad3
Merge: 35493daf ac62e884
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 14:20:21 2025 +0200

    Merge remote-tracking branch 'origin/master' into dreibh/libiostreams

commit ac62e88482380b38109f346478c8c4881f4af394
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 14:19:08 2025 +0200

    MongoDB fix: setting MONGOC_URI_SOCKETTIMEOUTMS to 1 hour, to avoid connection problems with long-running queries.

commit 35493daff8c1ed7115a8245f9914b5045201dc34
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 14:00:54 2025 +0200

    Version bump.

commit f9e4a01523500fbe305e575c7bc01fa64d8336cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 13:51:48 2025 +0200

    Manpage updates.

commit 4c2dc51236408751647beb18486c84350769c971
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 13:40:56 2025 +0200

    Bugfix: SELECT from legacy v1 table in PostgreSQL needs cast.

commit 7971d0b5b7a11997b0c03b539c05dc50a3c768ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 13:40:56 2025 +0200

    Bugfix: SELECT from legacy v1 table in PostgreSQL needs cast.

commit 79f0085fb7ac6aef8027e9f33876a57dfd5d9a40
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 13:03:33 2025 +0200

    Version bump.

commit c10b918428f6850da05dc52e30fc05e59f4b51a5
Merge: 37290616 d34e9ef1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 13:01:22 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit d34e9ef16d6a3037d16f23acd1d7d40c0558e5bd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 13:00:19 2025 +0200

    New release hipercontracer-2.0.12.

commit 3729061647d6c0d4340101a34e7501e608aba5bb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 12:54:31 2025 +0200

    Dependency clean-ups.

commit 5bbe9164702c7f589d98cf73492d7868a4beb167
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:55:53 2025 +0200

    Fixed typo.

commit d84f15eaa279c5f4aa7ca6624d546b491c4d5166
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:49:39 2025 +0200

    Added missing #includes.

commit 9129b811e40779de47ebb5d6a4ef8611e0a2d34c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:25:48 2025 +0200

    Bugfix: Fixed missing variable initialisation.

commit 77c0db112dbf21ba4ce7b5533c32a4bcf3abf829
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:25:48 2025 +0200

    Bugfix: Fixed missing variable initialisation.

commit 45f896e0685844e96a15e2e119b5257aa598641c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:22:50 2025 +0200

    Removed unused variable.

commit 44ebc204ef274be15b8fd7c766d3ab0dd91ae61a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:19:32 2025 +0200

    Minor update.

commit 8d1329e4c994ca27d73b4d47bd0742a5d6ae4de7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:19:26 2025 +0200

    Fedora packaging update.

commit 5a2c5d14729faed45ef68b94b019364ea6c405a5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:13:41 2025 +0200

    Added ZSTD support to HPCT Viewer.

commit 5ecdbda64d6fbfa6047827c24dab2d3edd9a459b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:08:11 2025 +0200

    Manpage fix.

commit 4ac2aad66ae82d3eefb1079718003e8e6ad8d01e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:06:31 2025 +0200

    Debian packaging update.

commit e891967f13521d365e19010ec1da99fcfb6c15eb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 11:02:59 2025 +0200

    Fixed typo.

commit 2855adb57e0b5cba7a8668607d2a8e19b64eae4b
Merge: 95b89203 0297fb27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 15 10:31:11 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 0297fb27e0fca9310fb8c61c8be1b6baf45dfb4d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 16:19:46 2025 +0200

    New release hipercontracer-2.0.11.

commit 95b892035a69529761bc060292478d205259d803
Merge: ef86d113 5d2ded7e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 14:22:45 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 5d2ded7ee39c3b71b4794e432654925052007b79
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 12:41:20 2025 +0200

    Manpage updates.

commit b2d374d6c7af9b313837fa336437c406f0e5bddf
Merge: de6072b3 25650368
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 12:40:37 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit ef86d113b8a6401e014608b2a28a485ca1c7f6c5
Merge: d0cd9544 25650368
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 12:34:33 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 25650368b01c0a4451582258fbef3ce2dc166d26
Author: NorNet Praesum Presum <nornetpp@vbox.oslomet.no>
Date:   Fri Apr 11 12:32:36 2025 +0200

    Bugfix: DBShell needs to check whether client is available. To prevent installing unnecessary DB packages, the clients are not strict dependencies.

commit d0cd9544d27368541896573198ada7a13829e09b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 12:15:21 2025 +0200

    Updated shell completions.

commit 2ab1fed108dffdd576bd2fd69257dff51a20c7d9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 12:01:26 2025 +0200

    Removed debug output.

commit 80df76241b7e49dc61332ee3e1abfc0a35e65c88
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 11:46:20 2025 +0200

    Improvement for SQL v1 legacy views: adding timestamp as value, for improved SELECT query performance.

commit 04298a1cfab4fde0a0ab418d205fed5027059cbc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 11 11:46:20 2025 +0200

    Improvement for SQL v1 legacy views: adding timestamp as value, for improved SELECT query performance.

commit a789711744e7fa7cfdeaeb489c61fdad740432bd
Merge: 7488c3e9 3478e922
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 15:11:07 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 3478e9225f941e734ded3e4658cf2aaa54934084
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 11:39:33 2025 +0200

    New release hipercontracer-2.0.10.

commit 7488c3e9309d747d7dc41fd346aeb44cb0cd70cd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 11:24:33 2025 +0200

    Improved manpage.

commit 52b23601f88e92a02925fbdcb806b872da8814fb
Merge: abdb9dcc ea5ccd8b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 11:18:01 2025 +0200

    Merge remote-tracking branch 'origin/master' into dreibh/libiostreams

commit abdb9dcc92b54e1ed1c9f5789abc80673b727778
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 10:57:24 2025 +0200

    Improved output file handling.

commit ea5ccd8b69c1483ecf90e465a0593983590ef44c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 10:56:57 2025 +0200

    Some more clean-ups.

commit 16502cc08a6581f52c0ccfbbce632efd650a6b1e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 10:53:49 2025 +0200

    Minor clean-ups.

commit 7b499fccdbe8d79c64629aa821345d4ba31f9551
Merge: 24cf8a08 5c40b515
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 09:48:04 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 5c40b515aef6cfe5f24a225d58045af48b74358b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 09:39:06 2025 +0200

    Bugfix: Fixed handling of long options, to prevent ambiguity with short options.

commit 24cf8a0849fad98ba66fccbf0dde0073f7ef76db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 09:36:42 2025 +0200

    Added option "--version" to show the program version.

commit 2bc3d5bf9ac834615889329ccbe21965c028ec1c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 09:36:29 2025 +0200

    Some improvements.

commit 731204ca7cbc4e7abf88097286daeb9e2219fe07
Merge: 68cb6a70 6bbaad0a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 10 08:18:16 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 68cb6a70763e771b312bc4e9f4fa2b4425039ae4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 19:38:06 2025 +0200

    Manpage updates.

commit d4b33eacb2b5118708733d6c88b8a7eb694e0ec1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 19:33:04 2025 +0200

    Code clean-up.

commit 0e9d6c1bc645fd9910f769ba077b635484c7bb68
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 18:42:23 2025 +0200

    Improved parameter handling.

commit e12bb168eb762a361694adf8b2573aba90c7794e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 17:22:31 2025 +0200

    Updated HPCT Importer.

commit a8ec66928a6b26a3749149a077767b94dee7809c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 17:13:04 2025 +0200

    Some clean-ups.

commit 949d85b86880bb4e8391984484829c3b80f65ff7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 17:10:04 2025 +0200

    Fixed missing space.

commit 157125736f5aeb6b10991eaa377387890c405c22
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 17:09:00 2025 +0200

    * Updated HPCT Results.
    * Some clean-ups.

commit 4db937b3aeaa62d50d3df6334d2f008471524c0b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 14:44:35 2025 +0200

    Fixed parameter handling.

commit 409712e5194fb0bce2e5c0c2c937b3e11bbf4919
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 14:41:34 2025 +0200

    Log output clean-ups.

commit dfd230ea1eb20632ddfc672fae406fff7316955d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 14:38:49 2025 +0200

    Updated HPCT Query.

commit 10c668e813beba2fb6103143c4d0f86d5d7f70cd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 14:22:32 2025 +0200

    More informative error output.

commit 379e32c8f975e49c083bc4c3757f4ac3b384d887
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 14:22:15 2025 +0200

    Further clean-ups.

commit 198245b1978ac698d740b8f9f7a447ff17912ed2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 14:07:37 2025 +0200

    Further clean-ups.

commit e990d4de18f800bb9fcf30569115df74ce036369
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 13:44:58 2025 +0200

    Updated options handling.

commit 2467fd8f78056c2309560a02a2ef3d7496298a2a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 13:44:17 2025 +0200

    Some clean-ups.

commit d4ed1d5196406a29f2047b5fc057aee1fe33b9d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 9 09:20:00 2025 +0200

    Some progress.

commit 6bbaad0ae8db2cbbca97125d9c1906490661b352
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 17:38:10 2025 +0200

    New release hipercontracer-2.0.9.

commit a5c54256b7cdf2c4bf1bb520d35955fb405eb232
Merge: 5bf4383d 02a0cb84
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 17:36:21 2025 +0200

    Merge branch 'master' into dreibh/libiostreams

commit 02a0cb84cde644bd785e3f9705ffda49a4c5a95f
Merge: 2d794d3a ec5cb110
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 17:32:11 2025 +0200

    Merge branch 'master' of https://github.com/dreibh/hipercontracer

commit ec5cb110bfdb45b9023213a6d12a0c30dea58a9f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 17:31:24 2025 +0200

    Reverted posix_fadvise() changes.

commit 2d794d3ab65b41ae397371adc21e3dece7de8191
Merge: c902bc8f 981eebe2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 17:26:11 2025 +0200

    Merge branch 'master' of https://github.com/dreibh/hipercontracer

commit 5bf4383dea5333b42099eb51ebf872279a3025a7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 17:24:00 2025 +0200

    Towards moving file I/O into own library.

commit 6977fb1c8e46bd154da74c167f4e639f755fd786
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 16:30:29 2025 +0200

    Some more testing.

commit f9b674f7e5e53196ea23a2c36ef783f97ead4926
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 16:09:00 2025 +0200

    An update.

commit 20fd5c634f39798afbe924987e5f412e6cf9c550
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 15:43:24 2025 +0200

    Some testing.

commit 981eebe2db6b4ba07d91d7c0d52a73f517b3baa8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 12:58:27 2025 +0200

    Some debugging.

commit c902bc8f0e05017b6d972160a511b22502d1ab83
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 12:10:48 2025 +0200

    Improved script.

commit 0a67466146c9d0d85ab632b9bc1db0ebdd5b8077
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 10:12:18 2025 +0200

    Using posix_fadvise() to provide access pattern hints.

commit 20685a968b35070c4f6e2355b984e0d754fb04a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 8 10:08:29 2025 +0200

    Some clean-ups. Also added posix_fadvise() support.

commit e6b98d39a199fb778268025cc605635b5ac160e2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 17:47:29 2025 +0200

    Some clean-ups.

commit a6e0a075b4c2bf2e4ea22479bd8264c6dba61298
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 17:47:04 2025 +0200

    posix_fadvise() support for HPCT Results.

commit ba72913fad5b794b9248acb80702a940a1abed9e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 17:35:48 2025 +0200

    Improved worker mapping.

commit 4c03ea83f7d2a38a61a38ecee56f07048fe3d018
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 15:03:02 2025 +0200

    Another ShellCheck clean-up.

commit 27f22cfc4e49d6bddf8dac4ebbab827825171394
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 15:01:20 2025 +0200

    ShellCheck clean-ups.

commit a2d4794c2a5cc295e03679db331e301ab56f8830
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 14:56:26 2025 +0200

    Moved SQL views into separate files.

commit daa88975d18f1cba9b751c2d030a6dd84a1728d0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 14:50:12 2025 +0200

    PostgreSQL permissions fix.

commit 3ec7cc0a6e7d423ec6b324c20b7c327dd0065b9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 14:36:18 2025 +0200

    Fixed PostgreSQL legacy v1 view as well.

commit de6072b36aeeaeb8b34d0d2bbb3ad5305b5e6015
Merge: a5dcd009 9f1f98fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 13:36:54 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit 9f1f98fb19cb491d90eb08f286237373448c9d03
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 13:35:37 2025 +0200

    Bugfix: Fixed MariaDB legacy v1 export.

commit 13cbc3897ad41ef8ff29a2b86ca57ed95b4616a5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 13:09:28 2025 +0200

    Legacy v1 view fixes.

commit 2536dedc6b0a1e0273f57c4751d5ba704f1c3b92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 13:09:13 2025 +0200

    MariaDB SQL functions clean-up.

commit a5dcd009ce4caba992f2ac9f7d5b477f2ef8fccf
Merge: f07c61b0 ebac6fe1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 10:30:14 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit ebac6fe10583f1fb732a204321799b87f112b265
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 10:24:18 2025 +0200

    Removed unnecessary #include.

commit 77dfa163dc5a1cc0cf68e4f152c4c1de0b233424
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 10:10:13 2025 +0200

    Log output improvement.

commit 5766923ee5f178497a695dd785df0fa316486977
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 10:09:46 2025 +0200

    Bugfix: Added missing exception handling to convertOldPingLine() as well.

commit 49ed26b20ddb64c7dfaf977c90b5e8008222069f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 10:09:07 2025 +0200

    Improved reader exception handling to provide more informative log output.

commit f747e18367d7d41d524127dc3773e0667d192a4b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 09:37:48 2025 +0200

    Minor #includes clean-up.

commit 1942ae6883b66d66285fe705b5ba0341fc0a657e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 09:34:00 2025 +0200

    Indentation fix.

commit 73334a74932f68affbdf59ce45dc55267b093ec8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 09:32:50 2025 +0200

    Removed unnecessary #includes.

commit 5e1492e4f5ecec58b6163ff4acac4396f37cbe4a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Apr 7 09:19:27 2025 +0200

    Bugfix: Added missing exception handling.

commit f07c61b0dd0d6d39a220480890ef0590a8098a64
Merge: 6fabac65 6182b5c0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 4 16:42:54 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit 6182b5c02e30da3fec433125bcd11fced6320bcf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 4 16:04:14 2025 +0200

    New release hipercontracer-2.0.8.

commit 6fabac6574a57deffe85f9c09feb64b7b9e8b781
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Apr 4 09:33:39 2025 +0200

    Minor test script update.

commit 68786dbf336bc0e4fa41ab3c2f7bfda2ee2c7311
Merge: 807d8f5f 2f3faadf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 18:01:10 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit 2f3faadf21ff9b1f3b8daf1b57a4ae8fa019a414
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:59:39 2025 +0200

    Improved test script.

commit 807d8f5f9d4a047de8800eced30263f0abfcfeb4
Merge: d0a159ac 43d6102b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:41:11 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit 43d6102b6a276a85b44075dfb277ecb6a61640f0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 11:20:01 2025 +0100

    Improved file to worker mapping when source is :: or 0.0.0.0 -> use process ID/measurement ID.

commit 42e44d0439675864c637341443df5dd15671adf6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:37:41 2025 +0200

    Added comment.

commit f484e5006a49ec4720a891d5c0763b261c797104
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:37:24 2025 +0200

    Added function tests for SQL.

commit f3c8918cf9105dc9ae552bf8cb26704cae10dc64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:35:03 2025 +0200

    Updated test scripts.

commit b94413ed1ab4831b4213c6c6316d255bdc2f8190
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:33:35 2025 +0200

    Bugfix: MariaDB v1 compatibility views need time zone handling.

commit d0a159ac28f282ccbe40527ddf14df607b6807cd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:22:13 2025 +0200

    A fix.

commit 58b4892963311c04fe1c5f682ba17e5305960e61
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 17:12:59 2025 +0200

    Updated helper functions for timestamp conversion.

commit a926f0ef80e66753f40c26ffa7a30b3d94775b7f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 15:55:22 2025 +0200

    MariaDB: Improved partitioning handling and added helper functions.

commit 7c673040dbcbeae1f1d45be60bec291a910716b0
Merge: 865e9bca e4ff32c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 13:19:42 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit e4ff32c135162155d17e1fc899800372da2d00e0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 11:51:38 2025 +0200

    New release hipercontracer-2.0.7.

commit 5ed5909537c7353804548c237ff42f8da55ed439
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 10:05:31 2025 +0200

    Updated CI configuration

commit e5c601a683e99d0cf8d8f64d18eaa26cc80d958d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 10:05:30 2025 +0200

    Updated CI scripts

commit 297d985c49847ca362fc4c6da8f230b3dc371d60
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 09:59:16 2025 +0200

    Bugfix: HPCT Results' short options for --separator and --sorted conflicted. Using "-A" for "--sorted" now.

commit a71ea9cc03801821515f879f3912b861af2e1b95
Merge: aa8704cb a27d7186
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Apr 3 09:54:00 2025 +0200

    Merge branch 'master' into dreibh/db-deduplication

commit 865e9bcae4d047f8516888054b463fff3f76169b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 2 14:25:22 2025 +0200

    Enabling event scheduler in MariaDB test.

commit 659e6bac8e7f5d2c7160a7ff183b2daeda7d65b0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 2 13:53:50 2025 +0200

    Further improvements.

commit 0d083af65cddce6effc607f2e944810e431382ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Apr 2 12:39:24 2025 +0200

    Improved MariaDB stored procedures.

commit 9de151910afe209bd65f1a46439fe69bb25cd16e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 15:24:04 2025 +0200

    Improved partitioning function.

commit 25b42682223f5d78f0a73cbf205b862018a0603b
Merge: ef0a6c74 a27d7186
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 14:49:07 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit a27d71865c9665e16764344539249db7650c3cf2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 14:47:41 2025 +0200

    Only show PostgreSQL environment variables when the database backend is PostgreSQL.

commit ef0a6c743997b65b576dfa913c6786dfafab5324
Merge: cc217832 ad7f1fb9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 14:44:41 2025 +0200

    Merge branch 'master' into dreibh/db-partitioning

commit aa8704cb019f38d5f5b9e62faa700b5f39989eec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 13:09:56 2025 +0200

    Manpage formatting fix.

commit 4864db1d6521249a4f22e44e737900d964bad058
Merge: 68f5458c ad7f1fb9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 12:41:01 2025 +0200

    Merge branch 'master' into dreibh/db-deduplication

commit ad7f1fb91d724fe0eced4897d47a01f1a807ab31
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 12:32:53 2025 +0200

    Updated manpages.

commit 68f5458c6e09124803339d7e76505bcde993ecb0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 12:30:19 2025 +0200

    Minor clean-ups.

commit a7daeb064e43c1072d99fe6d62bcfc5a38e369df
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 12:22:34 2025 +0200

    Added option for testing.

commit 0b84f08caf36e60edac6781ae3a2fd444ba768ed
Merge: fbbe120b efc0bd0d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 12:18:42 2025 +0200

    Merge remote-tracking branch 'origin/master' into dreibh/db-deduplication

commit fbbe120bcdbc678d232eeb5c9a6400791887e38e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 12:14:44 2025 +0200

    MongoDB backend improvements and deduplication function for HPCT Query:
    - Added proper order-by option to MongoDB query, to ensure the data is in the expected order.
    - Added deduplication option for debugging and handling broken database schemata.

commit efc0bd0dbd5580a2a03c1be8d8b9141f3916c9cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 1 09:17:23 2025 +0200

    A small fix.

commit 30e5bb4c1223ffae77811be8c50e26d13b2632f9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 31 15:51:07 2025 +0200

    New release hipercontracer-2.0.6.

commit e7869cc78739670d4366cb3ede6e2a0332266c34
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 31 15:50:19 2025 +0200

    DBShell: Also using quiet mode for MariaDB and PostgreSQL.

commit 9403981db868996b2a078c8e94df133cb554b54a
Merge: f19500d9 c75ad255
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 31 15:34:27 2025 +0200

    Merge branch 'dreibh/node-and-collector'

commit c75ad25503ad17e5843a4a2205f6ef22c04a5cf9
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Mar 31 15:30:37 2025 +0200

    FreeBSD needs GNU getopt.

commit bd94055df57d5b8ffc7cb6ca56724a9d12570733
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Mar 31 15:25:15 2025 +0200

    Bugfix: Fixed syntax error.

commit dcf1884239aa79b9086d112933dee12086752467
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Mar 31 15:06:21 2025 +0200

    Removed duplicated shebang line.

commit 0132beea910687a8f1481e4e0afecc0e5d945835
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Mar 31 15:01:17 2025 +0200

    Bugfix: Need to handle FreeBSD slightly different.

commit f880ba50ddcb0b3d43f483ca3c5cc0290b7884f2
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Mar 31 15:00:56 2025 +0200

    Bugfix: FreeBSD-specific handling of Node connections.

commit da177b7c8fa77379a2a286b893da5ad268d90f45
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Mar 31 14:57:48 2025 +0200

    Bugfix: last-sync.txt must contain time in standard format, not localised one!

commit f19500d903c92a977615b736a67721788c703b9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 31 13:22:42 2025 +0200

    Improved usage text.

commit 8c0e1f47b3d2f95863c95ab9783b836473a62736
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 31 13:14:15 2025 +0200

    Bugfix: rename() is only useful when output is going into a file.

commit de0159efd8da22117a4c8b52dc61e6f2ba1bb5d0
Merge: 7f9e0fcf 1997c21a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 23:27:18 2025 +0100

    Merge branch 'master' into dreibh/node-and-collector

commit 1997c21a32fdabf493bb48074c1f30195d54fd57
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 23:24:48 2025 +0100

    DBShell improvement: start mongosh with "--quiet", to prevent displaying version information each time it is started.

commit 7f9e0fcfa2b95f4a28d0facc19871162132107f3
Merge: 7849d684 905adea7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 22:01:54 2025 +0100

    Merge branch 'dreibh/node-and-collector' of github.com:dreibh/hipercontracer into dreibh/node-and-collector

commit 7849d6845bac9fb41779eaf19be5bfa57a56ee60
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 22:01:42 2025 +0100

    Improved configuration.

commit 7732c09960508342db4f2776f0a17e041a340072
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 22:01:00 2025 +0100

    Minor update.

commit e1abc80ca1bc73dc25bc7a6caad2ede6ce0f3f75
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 21:59:54 2025 +0100

    Packaging updates.

commit 90dd8a846ae4d461c3158f75f6c5030672d3dee3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 21:59:24 2025 +0100

    Updated README.

commit d0f23e04e96e3e86f0850eb253de9df5415500f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 21:55:10 2025 +0100

    Improved documentation.

commit 905adea7e8da7b7f72514841b993abfec65a1652
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 21:31:33 2025 +0100

    Minor update.

commit 2e49f3e59a2e8d1720df49cdb9245f6b1288b148
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 17:15:21 2025 +0100

    FreeBSD build work-around.

commit c8b2ea683e69fcc62c5906956a4ad02b590d08c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 17:15:21 2025 +0100

    FreeBSD build work-around.

commit 49e0d74fddbe2dd5a02713036c16118b98cae7ec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 16:12:25 2025 +0100

    Some clean-ups.

commit df967bf248aa03235fc50253992f4b881979aedc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 15:04:58 2025 +0100

    Bugfix: Fixed parameter issues with DBeaver configuration writing.

commit 95ede2bc1aaa667596e57216ab0431de22ba4649
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 15:04:58 2025 +0100

    Bugfix: Fixed parameter issues with DBeaver configuration writing.

commit 71519539c793e13bb06924dbe3c6d8c519b0d8b0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 13:19:48 2025 +0100

    Minor clean-ups and documentation improvements.

commit fa8fc7062e9b9fb6421a3c7efdbb8c2f15c6e62e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 13:12:00 2025 +0100

    Further improvements of hpct-node-setup.

commit 8c746b9e34f6cd03c3b7de1ecd44384c5d79f59f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 12:46:29 2025 +0100

    Further hpct-node-setup improvements.

commit 139e2f8829a5a9a233ce85862b06d2de2bc9d321
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 12:01:34 2025 +0100

    Improved hpct-node-setup.

commit fdc83b680acd3b1f1609ce9f8b1be2462bf76271
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 11:58:51 2025 +0100

    Updated RPM spec file.

commit 1e6b2f64949e2caebe5c9482116eb5db68ef97f1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 11:58:31 2025 +0100

    Improved postinst/postrm scripts.

commit 7a51d25e02ae01617a5c45f8b282360054b1bdfc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 10:36:52 2025 +0100

    Dependency update.

commit 7ddc551c309d5b64ac392e4c061d614d78411168
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 10:30:22 2025 +0100

    Improved hpct-node-setup.

commit 126a34b06c225b47dcf66a5d0f12332068fece0d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:59:46 2025 +0100

    Packaging update.

commit c658b2cd65083edb247fe8c6797a1d98e9971960
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:58:10 2025 +0100

    Added Bash completion for hpct-node-setup.

commit ede929cb679e40ff4cc815f490e81f88bd46501c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:55:00 2025 +0100

    Improved hpct-node-setup output, added verbose output option for debugging.

commit d73b061b568c2c1935d5bd52c10b8a243a7b7726
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:34:29 2025 +0100

    Improved Bash completions.

commit 4cc8c457b93f12ffd2c4ed79f3587ce1f6dc9002
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:32:30 2025 +0100

    Improved options handling.

commit 2c199e68d57d835ed8698f863bc4816d6a985bff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:27:08 2025 +0100

    Added Bash completion for hpct-node-removal.

commit ab5de94cdc6194e4e089d259ac6772ce25f2a79a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:22:06 2025 +0100

    Added option for data removal to hpct-node-removal.

commit 532310da54d280552fa82c73b6676fb5e4ada114
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Mar 27 09:05:58 2025 +0100

    Need to check whether SUDO_USER variable is defined before reading it.

commit aeb44b0acf8dcbd6edd04617a483b262eed80f9a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 22:50:33 2025 +0100

    Testing with FreeBSD NFSv4 ACLs.

commit 661b6e6629e0417e2ddc6e721753361809c22ee3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 20:10:29 2025 +0100

    Updated script.

commit 1cc94fd12506ade70d75634a9e141633c52c6254
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 18:05:17 2025 +0100

    Dependency update.

commit 8d3b8404b3f747962451a152f93186c33448b36c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 17:45:33 2025 +0100

    Using ACLs to restrict access to data files.

commit 0ee7f94c1335629d43a45507874c639ad15f33a7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 16:17:14 2025 +0100

    Updated script.

commit fbe41bdaef6d88d892916be36197c381785d5a37
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 15:04:05 2025 +0100

    HPCT Sync: restrict file/directory permissions to user and group only.

commit 19b83399530be96779948b5dcabbd3e4a2eb5d28
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 14:54:17 2025 +0100

    Some testing.

commit cc217832e84869f4133fdc9dd2ab4b6d43f980bb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 11:20:01 2025 +0100

    Improved file to worker mapping when source is :: or 0.0.0.0 -> use process ID/measurement ID.

commit 8babc156d152fd4fec83613869b3cce3c95c81d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 26 09:57:31 2025 +0100

    Minor fix.

commit be9352d2acdd7406c70282ec11966ec0435c3909
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 25 16:40:23 2025 +0100

    Some improvements.

commit f86040374a66fce9823cf64e21b9a2f163edf4fc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 25 16:21:03 2025 +0100

    Minor clean-ups.

commit e1a31a5f57bb420579d7c94c0571023418b3d05c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 25 16:20:56 2025 +0100

    Updated test script.

commit cf6ed188e6746e929e9ada0637c8eec4e6b409af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 25 16:20:33 2025 +0100

    Improved MariaDB database partitions handling.

commit b2b22e260f8bfa3cc6100f3b975fdc5be2dedd8c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 25 15:54:44 2025 +0100

    A small fix.

commit 5a051588742be43a131e7a240549875f9d2be59f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Mar 25 15:44:06 2025 +0100

    Improved partition handling.

commit 51df507632aa7f1d99440dcbd35de9cd1e3e1b29
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 24 13:44:21 2025 +0100

    Minor clean-ups.

commit 87b894f2719cb753f02757aac9925308bc996ef3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 5 13:47:30 2025 +0100

    Fixed URLs.

commit 7a39e95297246b0ea1a08c0abe9adb771834311e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 5 13:27:58 2025 +0100

    Updated README.md

commit a6db95d4b8ed1d881b0d57c5e7e7fab88139d680
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 5 13:04:57 2025 +0100

    Fixed link.

commit 0c08430b7eced62bbb3589b281122494f429ff4f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 5 12:58:55 2025 +0100

    Link fix.

commit a1081ac784871c37186a15297aac29c8f9038daf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Mar 5 12:57:03 2025 +0100

    Improved README.md.

commit bc2c672d12b6e52bb249e3a2c085751c4456b8c3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Feb 27 15:49:20 2025 +0100

    FreeBSD packaging update.

commit f22278b6e7078f6c9a0158f3e4a7e3ab14a17911
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 24 17:19:38 2025 +0100

    FreeBSD Port update.

commit e66a6641a3c1fe299ff3736a32badad144c235ad
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 24 16:46:17 2025 +0100

    Updated FreeBSD Port Makefile.

commit 9e5614e925f1861a50fed6a92564621a818de343
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 17 19:20:47 2025 +0100

    FreeBSD packaging update.

commit ad4a9a070a5413466a958a4539a1ad6365aca735
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 17 19:15:26 2025 +0100

    Configuration fix.

commit 5da70476fba61dfb8d4808f2c20e65215a201fd9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 17 19:14:54 2025 +0100

    New release hipercontracer-2.0.5.

commit ee053201af23ab521f6a49dd84cac2db92f9608f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 14:27:05 2025 +0100

    Updated CI scripts

commit 049078d8819887a7b5ee53aabf9a4b4c82ed0351
Merge: a2262211 38be8f34
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 14:24:00 2025 +0100

    Merge branch 'master' of https://github.com/dreibh/hipercontracer

commit a2262211c52e8c6f691a759a5d7343c9edcdb89b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 14:23:52 2025 +0100

    FreeBSD packaging update.

commit 38be8f346836ca696b1fdd5e0160dc64a8850da8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 14:04:18 2025 +0100

    R example shebang update to work under FreeBSD.

commit 4116aa071117704c988724b3fd41e4c5956a9ca7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 13:42:40 2025 +0100

    BOOST renamed boost::asio::ip::address::from_string() to boost::asio::ip::make_address().

commit 2af05c314413cb233ed9c0db82ebd919fbe7044f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 13:18:33 2025 +0100

    A fix.

commit 7e2c21f4d6b9c20582ceadae03a203a8206f9ff8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 13:03:32 2025 +0100

    Updated API usage for BOOST resolver, part 3.

commit 11445ed73e7e00bec6f4da56fc6aed78c2ac27a2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 13:00:20 2025 +0100

    Updated API usage for BOOST resolver, part 2.

commit 2e87043cee160bec382bab72cfc9d2fa240ddd47
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 12:55:07 2025 +0100

    Updated API usage for BOOST resolver, part 1.

commit 0e3e625a68edd5c972288b2448dbf918ba2d2d24
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 12:43:19 2025 +0100

    BOOST changed io_context::post to boost::asio::post.

commit fa8775e9bb736f671cbab9839620785600c961d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 12:40:07 2025 +0100

    Renamed attribute to reflect new BOOST naming.

commit f20eef884108e58cbe9b656e4fce93c6a701ee2d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 11:52:25 2025 +0100

    New release hipercontracer-2.0.4.

commit 08682cc15e649de39bf58e676cfa7b17c8cf1278
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 11:48:38 2025 +0100

    Output formatting improvement.

commit 8073144d03cba23271e135824ebc365e618e3ec7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 11:48:16 2025 +0100

    Bugfix: Properly handle IPv6 source address changes of the system in ICMP module.

commit 4b83a5d7cfdf3554442ddf176a00dbc3f1b023a7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 11:23:26 2025 +0100

    BOOST renamed boost::asio::ip::tcp::resolver::iterator to boost::asio::ip::tcp::resolver::results_type.

commit c349fd7fb7eacda29e384f14248e95bfceb92258
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 11:00:17 2025 +0100

    New release hipercontracer-2.0.3.

commit 334d8f552fde0de5bd86623515085ef05bcd5165
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 10:56:41 2025 +0100

    FreeBSD build improvements.

commit 33fe77458695b5b9665c3b19408a78ff8a6c5561
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 10:46:05 2025 +0100

    Improved getStatusName().

commit 810369a5a47060a67bc5306b97587518bbc4ad51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Feb 16 10:48:04 2025 +0100

    BOOST renamed boost::asio::io_service to boost::asio::io_context.

commit 1376f5bf15ab8d589cdae1c6726b42c9ad090acf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jan 31 09:14:40 2025 +0100

    Updated FreeBSD dependencies.

commit f97275cc23e47209c1ce303b910df0da25c356eb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jan 30 16:48:46 2025 +0100

    FreeBSD distinfo update.

commit 66228eb9ed5d8eef2a1b0ec84f7b655906ddbf69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jan 29 16:34:43 2025 +0100

    New release hipercontracer-2.0.2.

commit 9326ed30253013edf3cf0aac3fa84acd7bf0392a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jan 29 13:30:47 2025 +0100

    UDP handling fix.

commit c393f98c0ba7d9d186334efb92f7bff82daf71ed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jan 29 11:34:23 2025 +0100

    Build fix for latest BOOST version.

commit 347e78ec9199026f9afb711f2ba0b53dba7dbf5b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jan 29 09:41:10 2025 +0100

    Dependency update.

commit 2cb6fdf5be3bc58483427c65a52a58694ada695f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jan 28 16:41:17 2025 +0100

    New release hipercontracer-2.0.1.

commit 3a7ef4c227d4296ec599424d8e8cd681d564ab08
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jan 28 16:28:00 2025 +0100

    Bugfix: SendTimeStamp in the packet (used for debugging only) in nanoseconds.

commit f4c3c15271482be71da165040d7332d9b5c4549a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jan 28 15:07:38 2025 +0100

    Dependency fixes.

commit a1428ce0dca07300dd9ad12fb17e2002d4bc336b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jan 28 11:41:16 2025 +0100

    Bugfix: Properly obtain status code when response message is UDP over IPv6.

commit 51956d7fa18f456035762289c4d661aa5665e760
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Jan 18 08:53:46 2025 +1300

    Bugfix: Properly handle source address changes of the system.

commit 86fbde2fc7cc63d2197f321c74889a696ed5e1fb
Merge: ee6729d0 b989dc64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 17:16:36 2024 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit b989dc643e57f46f0437aa02cb6b023cc8b1575a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 17:12:18 2024 +0100

    Updated FreeBSD installation scripts.

commit a30e5cf9ce0c3d682d4d44ebe6524eab54ce7f62
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 17:01:18 2024 +0100

    FreeBSD packaging updates.

commit bfe90895c9bd224f75b800fe7479f3bcaaf9eeeb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 16:11:55 2024 +0100

    Updated test script.

commit ee6729d0e82c12731bfe9c3a986ef8b84df7cb30
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 13:48:33 2024 +0100

    Configuration update.

commit 1495b7a9d314183d7a98e4c24880aff7527f5a30
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 13:37:15 2024 +0100

    New release hipercontracer-2.0.0.

commit 684873782238d962b0ba2d933d949df4c3c2cd53
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 12:18:58 2024 +0100

    Minor README update.

commit ea4683238051de19944a56960158168ca864fe9f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 11:08:44 2024 +0100

    Updated FreeBSD package description as well.

commit fa9b2553177ca217104c85f567fccd9a36bdfdfc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 11:08:02 2024 +0100

    Improved package descriptions.

commit 5242e375d78514b699d18568e14cda61525dfe5f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 11:00:46 2024 +0100

    Improved RPM spec file.

commit 1b372d58132da1939ef86507783d89aef04059c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 10:52:56 2024 +0100

    Debian packaging update.

commit 5062ae0cc6e7aa9dc52c2acc669198e851dc5640
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 10:25:32 2024 +0100

    Improved documentation.

commit 62629ce2f134cb36edd636a40fd623a669bd66a7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 10:11:33 2024 +0100

    Another README.md update.

commit 4455b3fa713df660fe561798451f4a94dce79d31
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 09:47:54 2024 +0100

    Updated README.md.

commit 1b4e417bdbcdb02ab57b2ba4fb464a9d04a3c390
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 09:47:39 2024 +0100

    Updated figures for documentation.

commit 626f9d5d651b43856746895b019137f2b3988553
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 20 09:39:28 2024 +0100

    Improved CMakeLists.txt.

commit f2910dd3779b0a3170a11c42d8bfe89c3ac0d4ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 17:13:01 2024 +0100

    Minor update.

commit a0c04d3fade6ba30e10b6c8b5e84f3822f57c593
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 17:12:29 2024 +0100

    Yet another README update.

commit 645280611a240a185cff442c02f9ea86b5dd3279
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:43:35 2024 +0100

    Another README update.

commit 56ab40cc33077ac205b550cdd8609c1c38288a57
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:32:32 2024 +0100

    Version bump.

commit 263f0d855a4a09def91ac2bdea70d192d4147cbd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:31:33 2024 +0100

    Minor manpage update.

commit 8faa528d1ad2a0407914ee84c59a286ca5767d00
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:31:05 2024 +0100

    Minor README update.

commit 963c001f62cf58e118e93ec198f0d181ae2d2349
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:21:59 2024 +0100

    FreeBSD pkg-descr update.

commit 907d58c4ac55c5449b6516c9936aa47fabd59210
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:03:38 2024 +0100

    Indentation fix.

commit c9f859ba81fd2f620437d4259292833f01664cf3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:02:16 2024 +0100

    Minor clean-up.

commit 7adb33cbd300d90a20265b41c7b851e73a22e06b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:02:05 2024 +0100

    Updated descriptions.

commit a62b27e7bad340d954ddcf3a461b1da61e302edc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:01:52 2024 +0100

    Minor clean-ups.

commit 9f28f6802b0de08eb79fcc82f97a3e2177cf50ae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 16:01:41 2024 +0100

    RPM spec description updates.

commit b7f8c5ef78ff64e8b9c0f553dabff6e6330218fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 15:57:31 2024 +0100

    Updated RPM spec.

commit aeff81b0432f0ecfe8822e51a3a52a745f5a0eb9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 15:44:41 2024 +0100

    Minor update.

commit bfd9634ba15b5e8de2c343a0dcfbb73865dbbb6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 15:23:13 2024 +0100

    Improved README.

commit c3a0e1d49857c8cee5026ab6333ec9e518e376cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 14:54:28 2024 +0100

    Further README improvements.

commit 03f34af29b6db750b6404605f351c41f56b6ce0d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 14:40:54 2024 +0100

    Improved README.

commit b8469383ea23fd682509be445546aa482c2daf5c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 14:40:44 2024 +0100

    Manpage clarification.

commit cd995133df26b4ba24b4c08e73853ee5f46d5729
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 13:00:38 2024 +0100

    Improved README.

commit 7592016dd4d084c780c868dfcec13eb20d24934f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 12:22:47 2024 +0100

    Improved README.

commit 684db6f2900caf36b6a65ae6463e60427597ccb2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 11:50:18 2024 +0100

    Yet another README update.

commit 77569d96111cd23c231d4dc7c86b317a98a1fa55
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 11:44:35 2024 +0100

    Added figure for documentation.

commit 415946344994085ce052df57ac46f04ea7199c69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 11:24:26 2024 +0100

    Another README update.

commit 73c2ce83c930206be8130de16f33ee3b8f098b86
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 11:02:04 2024 +0100

    Improved README file.

commit 226e5afe2df91e9137fcc0066a51bc89d4fa2317
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 10:10:13 2024 +0100

    Updated README file.

commit 5f3fc44614a1f1a48e4af1e58cca62c613c5d441
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 19 10:09:35 2024 +0100

    Added simple, uncompressed examples for the documentation.

commit da919964fa93858ba7d73225f9bbacab9184e88f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 18 21:19:37 2024 +0100

    Yet another test update.

commit 87663324e61da0711bc2b1fd9baceea54cf08f7f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 18 20:43:57 2024 +0100

    Improved test.

commit 93c33cfcf7acf4e8f6f1c8c31595610662fccfed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 18 19:51:39 2024 +0100

    Improved tests.

commit 7bbf6a7f9182ab76bc7b97f06f3016816364e58a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 13 22:45:31 2024 +0100

    Version bump.

commit c7e94d078c8059c99fa8c7a0277d64b5f6abb9fb
Merge: c9827e6e 42088ecb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 13 20:47:21 2024 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit c9827e6ed8ea7509579c03deecd3b4ef8ab288d0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 13 20:38:49 2024 +0100

    Packaging update.

commit 680e74c3171b98102eba67fdad79e15038715dfb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 13 20:38:27 2024 +0100

    CMakeLists.txt update.

commit 42088ecb57fc801d3c06fbd4e82ed748d45786cc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 13 18:04:04 2024 +0100

    Updated tests.

commit fc38d3b847f7912596e3177737bde44dce2acc72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 13 17:42:06 2024 +0100

    Workflow update.

commit 4fa7cce19a034bb0ec3629da2ac9f085aee191af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 11 11:40:20 2024 +0100

    Improved test script.

commit fc7c784bf84a42fa3fcd67b16f9376be754bd589
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 10 11:06:20 2024 +0100

    Further version 1 MongoDB export fixes.

commit f675050a63debdefc53ca3f2ef69f965bec7fc1b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 9 16:05:37 2024 +0100

    Added missing version 1 export support for MonogDB.

commit a0c688744c59c76b2eb1365a5c65af2eb24d0028
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 16:00:54 2024 +0100

    Updated CI scripts

commit c8cf4999979e848f5cd3b53421ce71329d35ee16
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 15:58:32 2024 +0100

    Updated CI configuration

commit 59450f05abfb805bb8dc11a0ffa97067a623e520
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 15:58:31 2024 +0100

    Updated CI scripts

commit 7d380036ae28cba432b8a3527b1f6fe49d58591d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 15:58:29 2024 +0100

    Updated build scripts

commit 32a86b1934d23e9180866ed2c6384f7db2ca3e6d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 15:46:57 2024 +0100

    Yet another RPM spec fix.

commit 48f622c7770a149f6332439bb00e7fc73578c22c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 15:31:39 2024 +0100

    RPM spec dependency fix.

commit 21b9a6541e861b60d9cc43ec15e35e5bc6b19873
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 5 15:09:46 2024 +0100

    RPM spec fix.

commit 47b507a8b74237b7ae3e45ef313fb77dbda138ba
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Thu Dec 5 12:36:20 2024 +0100

    Improved MariaDB configuration.

commit 581212cf5df6a97e300c9d2f7d0c8f9e035257f8
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Thu Dec 5 12:16:52 2024 +0100

    Configuration update.

commit d4f13b1b8b5d068870fee0319d9573ea45e92c01
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 4 12:04:29 2024 +0100

    Minor update.

commit c785059b90de2860ec673ef58ba2828172f08474
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 3 22:04:45 2024 +0100

    Workflow updates.

commit 84b404804aff5cd5284bc02ef178dc2bcc620320
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 18:20:22 2024 +0100

    Fixed cast for version 1 timestamp export.

commit 82f965f2d567058e94b9be17776ea9cdf855f9b8
Merge: a8144e20 75170c3f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 11:32:27 2024 +0100

    Merge branch 'dreibh/node-and-collector'

commit 75170c3f078b24b60d96d127c348ac36634bd9b3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 11:31:55 2024 +0100

    MariaDB settings improvement.

commit a8144e2064bdcddd74da48efa4aa2e64844257b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 11:26:06 2024 +0100

    Version bump.

commit 2c156492e3e286fc3824e9ef2395abc16aeff42f
Merge: d0cee36f 0adb40ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 11:25:20 2024 +0100

    Merge branch 'dreibh/node-and-collector'

commit 0adb40acf7412f006c4de00aad2e3d34abb9c923
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 11:24:34 2024 +0100

    Some clean-ups.

commit c7130643755ba73b70c31b7da5b615774a9851f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 2 11:20:46 2024 +0100

    Work-around for empty XZ files.

commit f67fb9ded4b2f45a33a64ca80090a44243b60c2e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 29 15:14:29 2024 +0100

    A fix.

commit 8674e9f81a3c3830c36ffd2fa6e95db397ac3c5b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 29 15:02:01 2024 +0100

    PostgreSQL results handling improvement.

commit eb4f68304eb14871e5e561a50f72f4f0818a39ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 29 11:28:08 2024 +0100

    Manpage updates.

commit 2575fb4ae3d1f8154bead39980e23bb3f42d8e8d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 29 10:27:28 2024 +0100

    Updated workflow.

commit e58406d7b5f7688d560e06875c35eedbe4fe7839
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 29 10:27:06 2024 +0100

    Updated CI script.

commit 32ff937a735f11ef8f1b536cd4ec65983930fa58
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 28 17:32:19 2024 +0100

    Improved HPCT Query error output.

commit d0cee36f4c854009ee03ab6951ff41086892b786
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 21 09:13:02 2024 +0100

    Updated workflow.

commit 385f47a4334fb20f8af93bce8d15284608d7e8ed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 21 09:05:17 2024 +0100

    Updated CI scripts.

commit e752d1e4ac98c9846ab2570714c13c467fb08570
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 21 09:04:02 2024 +0100

    Updated script.

commit 804572295c5ae38598a0676f2c65ada1dee78a40
Merge: ece83e99 71cdf973
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:52:08 2024 +0100

    Merge branch 'dreibh/node-and-collector' of https://github.com/dreibh/hipercontracer into dreibh/node-and-collector

commit ece83e99950bba7a1f17db7af17e23fb00aa495c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:51:37 2024 +0100

    Options handling fix.

commit 71cdf9739638d1c1ad3a7b7029cb5f5c7d5370b4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:20:39 2024 +0100

    Updated manpages and Bash completions.

commit 1910ceabaab5bb1514138edbc1c2f9ac0dbc156f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:12:38 2024 +0100

    Minor clean-ups.

commit 5c359ca164bd9a0f2b520e55e3099f4a75d7ebcf
Merge: ff3a8e25 b7593cc0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:11:18 2024 +0100

    Merge branch 'dreibh/node-and-collector' of https://github.com/dreibh/hipercontracer into dreibh/node-and-collector

commit ff3a8e252da2e0d31961a5a1511a38e1f89055b6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:10:27 2024 +0100

    Improved scripts.

commit b7593cc011d874f7ab4541f1acfc5e54edd21031
Merge: d2a20c4a 010e0d5e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:09:47 2024 +0100

    Merge branch 'dreibh/node-and-collector' of https://github.com/dreibh/hipercontracer into dreibh/node-and-collector

commit d2a20c4ad689c954fcfedfc4ae235a04e84c9a08
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:09:07 2024 +0100

    Another set of clean-ups.

commit 5ff00f767ce3695222b942857a464535d17eb231
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:05:36 2024 +0100

    Further clean-ups.

commit 59df3debc99eee0d64946919c15c053b477e9a5d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:03:13 2024 +0100

    ShellCheck clean-ups.

commit 8c6825ee7b6a68ab3544c1fba975971c7c2e2029
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 16:02:25 2024 +0100

    Improved script.

commit 010e0d5e56ca247299cc3f955ab4b7371c7400dd
Merge: d90a2f83 9036b7f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:54:23 2024 +0100

    Merge branch 'dreibh/node-and-collector' of https://github.com/dreibh/hipercontracer into dreibh/node-and-collector

commit d90a2f83774675ff5515476d4698ea5930c899c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:54:07 2024 +0100

    Minor clean-ups.

commit 9036b7f514187305ac41a37f419702a0c23d4bd6
Merge: 82b408fe 091795a0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:33:27 2024 +0100

    Merge branch 'dreibh/node-and-collector' of github.com:dreibh/hipercontracer into dreibh/node-and-collector

commit 091795a0bda233b20032f8ff15b44d35e61e54c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:32:52 2024 +0100

    Permissions refinement.

commit 82b408fe40797280de1bc5e812eee244755e009e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:19:31 2024 +0100

    Updated RPM spec file.

commit 7d2b97f77fa6e740073c29cf38a2b9e380126f0e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:19:08 2024 +0100

    Configuration improvements.

commit 777e0c555ae9f28f9a571aafb0454ede2b884baa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 14:10:58 2024 +0100

    Further improvements.

commit e1656c99c249a0d2fcf9613fee920dcdc69a6283
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 13:40:04 2024 +0100

    Improved scripts.

commit e071aeb1521223f434bd658515d1506cdddff38e
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Nov 20 12:50:38 2024 +0100

    Improved script.

commit 5250b5b34a4faa9a5ad25779385a30eb06b2a7f4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 12:41:22 2024 +0100

    Some improvements.

commit c49ddee1987288ee0fd90f9caaaf960fb5edbb81
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 12:34:22 2024 +0100

    FreeBSD Makefile updates.

commit f23c16c81ade98b929326075053b23b35d9014a6
Merge: c25ceee6 94fee743
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 12:05:40 2024 +0100

    Merge branch 'dreibh/node-and-collector' of https://github.com/dreibh/hipercontracer into dreibh/node-and-collector

commit c25ceee6b16c588f24dd5b2a2dc22034406b4866
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 20 12:05:24 2024 +0100

    A fix.

commit 94fee7435a8baae22acc07994771030d199d7c8b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 18 15:13:02 2024 +0100

    Dependency fix for Debian/Ubuntu packaging.

commit 911509027a28009cec8121ef1d70965ecfe5744c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 18 13:27:09 2024 +0100

    Packaging updates.

commit 4381d683f844f4b51212391deed19d049aa87447
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 18:01:33 2024 +0100

    RPM spec update.

commit 7afdaac3c415e45a75842cfbaeb47ab6547aafab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 17:56:11 2024 +0100

    Further improvements.

commit 69a46ca749e830db78d94c84bcff5c0c275162f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 17:33:22 2024 +0100

    Improved scripts.

commit 4c131d4b2c9c2c6839880e7cb0e782f990d57a6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 16:04:36 2024 +0100

    RPM spec update.

commit c62e12a418aeec1bced016462d45fee3a4b0572b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 16:02:37 2024 +0100

    Packaging update.

commit e169e9535b78ceb9336e85ec84bcaeea0779237b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 15:48:32 2024 +0100

    Packaging update.

commit 47fe23bfd5da485df459a4c58c1510fe8d118a59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 15:48:16 2024 +0100

    Updated CMakeLists.txt.

commit a2b120d8dfe3f33d29be0993d428a1f51f0a2925
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 13:04:10 2024 +0100

    Updated manpages.

commit 031368a750dab44f9bb69cb72bf264f6609a6694
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 13:03:37 2024 +0100

    Added further Node and Collector management scripts.

commit 152614848bd57bcce16db69ca0f56aec3c053246
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 12:39:07 2024 +0100

    Improved scripts.

commit 954c603a09fd0296858febafef6adec9c7c88dae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 12:11:01 2024 +0100

    Minor updates.

commit 048d8b8ee393168917c86ae5a579e6ffc9e03638
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 14 12:07:50 2024 +0100

    Added node management scripts.

commit 0a2eda564dbbd2b3f3b0ad376fdd0452903f2e61
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 13 08:55:01 2024 +0100

    Updated build script.

commit 04bd6035b80668a1c047cf13bf7e1fd8064c3092
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 12 20:56:29 2024 +0100

    Improved Bash completions.

commit 25aca06a7abd39f21718bef2da7ebae4ec38dba4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 12 11:19:56 2024 +0100

    Minor output update for checkEnvironment().

commit cf791720bd4717349fe9795058f2b88a94bfad73
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 11 17:14:45 2024 +0100

    Another update.

commit 4c2f80e20b253780defcf7bdc1d54a8ee9c3bffe
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Nov 11 16:31:05 2024 +0100

    Terminal output improvement.

commit 3d49ee9c40e1a13a4a4d60bf9a74a6c85c55cca9
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Nov 11 10:47:16 2024 +0100

    Terminal output improvement for Ping status.

commit 062c39a832a3794ec99ce18b18a7c3ced89144d3
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Nov 11 10:46:19 2024 +0100

    Bugfix: fixed rounding in time point to string conversion.

commit ed0cbfa19b888c46dacb24e99331ba95d873d007
Merge: b2b7da20 55b78b7c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 8 12:34:05 2024 +0100

    Merge branch 'master' of github.com:dreibh/hipercontracer

commit b2b7da20680fd7b194f183e75678826fe0290bc1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 8 12:33:58 2024 +0100

    Updated script.

commit 55b78b7cff8594a65b89601a35bdc2390aa98b3b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 7 21:35:13 2024 +0100

    Updated manpage.

commit c778fed442d643b7688b01192042b7c6516f9bf6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 7 21:31:20 2024 +0100

    Provide readable console output, if no output file is written.

commit ae2fe554f24910ab9db21a2c3b6b50f16683913e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 7 21:30:31 2024 +0100

    Automatically set source 0.0.0.0/:: if no other sources are given explicitly.

commit ab62b2f964b8ea176ffa4cb47a03e421cb9af287
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 6 13:26:10 2024 +0100

    Dependency fixes.

commit eaa8bf97160ee79d83f9df546d10260ffea91952
Merge: a5b968eb 016bef3f
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Tue Nov 5 16:55:55 2024 +0100

    Merge branch 'master' of https://github.com/dreibh/hipercontracer

commit a5b968ebfd4ea69df2e5e3877c36a5fa64384dfb
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Tue Nov 5 16:55:31 2024 +0100

    Improved DBeaver configuration export.

commit d7ff2d1c72439f37192928e488b0e37931863a1f
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Tue Nov 5 16:49:11 2024 +0100

    Error code handling fix.

commit 016bef3f21590a60b0f144dd2692fce2aa473601
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 5 11:45:31 2024 +0100

    Some clean-ups.

commit 51ff99dbd54a4bc39b62cdccb7b856e3884178c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 5 11:45:04 2024 +0100

    Improved MariaDB client handling.

commit ede6872faa93247adc1d069f2c865733175f1fe0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 5 10:15:02 2024 +0100

    Minor update.

commit b7edcaf96a22dace334376f742c112fcffc442af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Nov 5 08:55:42 2024 +0100

    Added BibTeX references.

commit 8939f9ff208cceeb27d792ab0655def5dc2738d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 4 12:42:45 2024 +0100

    Updated build script.

commit 91bb02ed2bac55fda0bd6fd2050c3e5ee6cc48a1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 4 09:48:04 2024 +0100

    Updated CI scripts.

commit af7a28bb724bbc73a20ef4354f75ef87127255ee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 12:32:36 2024 +0100

    ShellCheck clean-ups for Bash completions.

commit 1764cc605e3446c72a730017cca01631ebebd79c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 12:22:04 2024 +0100

    Minor clean-ups.

commit 780a34e62108d3bab4cb47d8abd1916f676c46da
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 12:21:28 2024 +0100

    Improved HPCT Query manpage and Bash completion.

commit 6dda2d86ad0cb5ccea6895f67d21272950e3c865
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 12:05:49 2024 +0100

    Improved HPCT Viewer manpage.

commit 3e2ac72a97fac3441078cb4c40d8cabe02006ac0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 12:03:06 2024 +0100

    Improved HPCT Query bash completion and manpage.

commit ffd036055d504896c88034384aec955385d453a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 11:08:46 2024 +0100

    Configuration improvements.

commit f72354c862963d6ea4ec3e7a84fa3b04ea9336b3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 1 09:21:45 2024 +0100

    Configuration update.

commit a41757d5c86157eb1b3b25ca575f9777936ad6bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 23:08:53 2024 +0100

    Further clean-ups.

commit 445f4b75a37bc02f0ad3bb3622f5321298134c80
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 22:33:02 2024 +0100

    Fixed memory leak in destructor of MariaDBClient.

commit fcc2e87e3b5713e01566efc49ca1c6d35dfa6bcd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 22:21:01 2024 +0100

    Some clean-ups.

commit efc81b92ce8058f3d830cedb42309d659ee8f723
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 22:20:51 2024 +0100

    Updated test.

commit 99df58b12a3295d9e522d26e3ad7dd54284bc3cc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 21:43:56 2024 +0100

    Improved directory garbage collection.

commit ff797196bdf58aca66ff890a8b8d79ab3854cbe5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 17:33:23 2024 +0100

    Further improvements.

commit 39a8e06344b9967235f211204e8a6aa5b4dc5420
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 16:50:04 2024 +0100

    Added garbage directory collection, for delayed removal of empty directories.

commit 8c17e2e9589da566a5e2663598c2aeaf6569770e
Merge: 3b78e476 010dbaaa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 16:30:05 2024 +0100

    Merge remote-tracking branch 'origin/master' into dreibh/importer-improvements

commit 3b78e4763cd51b8e47f1085c4bd1e8933218e476
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 16:20:14 2024 +0100

    Some testing.

commit 010dbaaa4c27a26d221bd04242d3c49ccc1a20ef
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 14:56:29 2024 +0100

    File name RegEx fix. It must not match .tmp files!

commit 9582ebba737a01f93a4b94a4fe03cb832df34170
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 12:36:49 2024 +0100

    HPCT Trigger improvements.

commit 30922a092f275fd7abb1a4b3e9f3572fc54b3806
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 12:26:09 2024 +0100

    Options improvements.

commit 7c1a45f6fff68bcc08c533227ff6e4812517321a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 12:15:27 2024 +0100

    HPCT Trigger IPv4/IPv6 parameter inconsistency fix.

commit c7039b264e0ddafa2d0daccd13005ddd70fdd899
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 12:14:12 2024 +0100

    Manpage improvements.

commit c4753497a6e26a8a7fd4be934315982348c6005a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 11:48:21 2024 +0100

    File name consistency for HPCT Trigger.

commit b19fa56e26ce5686b2abdf96e74f0a5a9d0bbfee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 11:47:18 2024 +0100

    Configuration file name fix.

commit a7c565c07bbf13721021088e6d8ecb1f645620b4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 11:24:11 2024 +0100

    Another CMakeLists.txt clean-up for the shared/static build options.

commit 6231b6f7086a5e862bcced38fd058512e6b1eed8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 11:10:01 2024 +0100

    Dependency improvement.

commit fd2b5cd40e5b3c40ba8ad0f21138d80a032bd529
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 31 11:09:55 2024 +0100

    Updated CI script.

commit 9c6fc0a429197cc3c4f625d155f5fe122ce16281
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 30 14:43:22 2024 +0100

    Dependency improvements.

commit 02a62a763a448c643437d6e993b98b2d8f9745ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 30 14:42:44 2024 +0100

    "ip" is in /sbin/ip on Fedora systems. For Ubuntu/Debian, it is there as well as a symlink.

commit 8fe66c17ac064776cf2675fe70ced9707461a0d9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 30 14:26:04 2024 +0100

    Improved dependencies.

commit bd136e434606b719fec88cb34807a381dccae78e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 30 13:49:25 2024 +0100

    Improved CMake options.

commit 2d5115436dcd67631406eecd748c3590712fe1b7
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Oct 30 09:33:47 2024 +0100

    Updated FreeBSD Makefile.

commit aa157764530745d870592364ccc4e39490726b6b
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Oct 30 09:13:03 2024 +0100

    HPCT Viewer under FreeBSD must detect the compression type to call the right variant of "less".

commit b1602c96cc6dca15643a9d0135f8b951084e1432
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 22:15:29 2024 +0100

    Minor updates.

commit 6accff985d1d31f1b9e472eef0555cd2003f76fc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 22:11:10 2024 +0100

    Further Bash completions improvements.

commit 68a7caa7bcae63a2cd57f03775d7cbab3fc169f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 21:59:43 2024 +0100

    Improved Bash completion.

commit 42aa5883a7258ce96eb2cfee0610cc055c6df115
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 21:48:47 2024 +0100

    Filter addresses to avoid unnecessary entries when there is no suitable IPv4 or IPv6 pair for a communication.

commit c71c6d1ca2d42b7e0d079930bc5ea395149723cc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 21:48:38 2024 +0100

    Improved timeout.

commit 5757dbcc8719ba302b63be05fc0865d0f4275f8b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 21:13:30 2024 +0100

    Bugfix: No need to wait in last iteration when there are no outstanding requests.

commit a7715c04303367429f02367e9b202aef962fc072
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 20:45:28 2024 +0100

    Minor update.

commit e051c6b82a9fca0a77aaf7bb51dfe02b439fc695
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 29 12:04:42 2024 +0100

    Improved example service configurations.

commit 999ea0448aa7f77d131f02674a5a7eca494e0a3b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 23:39:25 2024 +0100

    CMakeLists.txt directory fix for version file.

commit e66be18be3ec6a10ca59fab25661a281ba344114
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 23:16:08 2024 +0100

    Packaging updates.

commit 2f84359d66fbc5dfebc5672dda20470a4f8d829b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 23:06:50 2024 +0100

    RPM spec update.

commit 657723c38c42804c3e2c8ca67cbe626d72d1f1e1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 22:38:48 2024 +0100

    Added missing PDF file.

commit 7a6874c58a84d2605db5aac923d2523ad4f13e2d
Merge: 1e4338e2 856bceb7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 22:28:12 2024 +0100

    Merge remote-tracking branch 'origin/master' into dreibh/logo

commit 856bceb7eea1b5c026a922ae670563baf622fd20
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 22:27:21 2024 +0100

    Packaging update.

commit 1e4338e2ee1eb0073773512a3249bba2e017ea91
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 22:24:51 2024 +0100

    Updated CMakeLists.txt.

commit 24699868eaa037574718773ae86f14ae60fff483
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 22:19:05 2024 +0100

    Updated logo.

commit 4458d48003fa64cf5fe23b79d5ab23e2e89eff6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 20:07:52 2024 +0100

    Added service files for HPCT Trigger.

commit 5aaaed2db18bf671ad129e427026bebdde922581
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 19:30:52 2024 +0100

    Yet another RPM spec update.

commit 406efc8ba24b4b075a17b360d0398216d2f766b3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 19:22:14 2024 +0100

    Another RPM spec update.

commit 56fab7cddeb247346903319b2ac5c29997770d32
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 18:38:01 2024 +0100

    RPM spec update.

commit 09ff3fbb38a4589ebf0ce9eb3b3a7956b1a03c98
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 28 18:27:44 2024 +0100

    Added simple viewer script.

commit e00bf1fa0024ad61eaac55fddc3483eca5fcc942
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 25 09:15:41 2024 +0200

    Configuration update.

commit 3e29ca1a92a2079079c64d27d6152e02fd305cc2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 15:58:49 2024 +0200

    RPM spec update.

commit 1f6c543a1f2f8362558ed4069b8f165d78e3be70
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 14:32:14 2024 +0200

    Dependency update.

commit e3325699d01b4a2767d99ec3514ff355eab68d4c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 14:14:07 2024 +0200

    Fedora update.

commit a1533a3c375ad60e848d37f6fe64f5b8a5f07406
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 13:37:29 2024 +0200

    Package dependency improvements.

commit 0bad1c742dc3ecb5a9896a3e725938b192983a02
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 13:12:12 2024 +0200

    Documentation improvements.

commit dc26b3b32eddccb54a6a6abc1f056d1e44ca6cd3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 13:12:03 2024 +0200

    Minor clean-up.

commit 0d00e6f4d4dbdcf9cc37b3c3df5415df9ad9c09e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 12:42:03 2024 +0200

    Minor clean-up.

commit 4478dd3bbc9e48522035655db77b023f7d1598a0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 12:29:32 2024 +0200

    Workflow update.

commit 878549b0727877e51da81826c28df10eae096f91
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 11:38:21 2024 +0200

    Updated tests.

commit bdeae40ef4a36883e08bafe736468951492ec65d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 09:50:01 2024 +0200

    Using assure() instead of assert(), to ensure safety checks also in Release-type builds.

commit 1b01c19661f1fbf21e3ca54b83ca59690ed6d191
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 09:47:58 2024 +0200

    Improved library.

commit b930b6adad5821af376820e57736a9021c1f436a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 09:11:31 2024 +0200

    Minor clean-ups.

commit 686d1b657388e41ae854434dba2b1925cff40136
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 09:11:17 2024 +0200

    Added files.

commit af4768952018fdd74ecd920cab8ee82905d8a345
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 09:02:16 2024 +0200

    Updated MIME type.

commit bedf95c75fd7a50244de673a8c3306ab2e612fc7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 24 09:02:07 2024 +0200

    Updated test script.

commit dcd5e0381c315a0fa276e9c2a3f6555f53d5d68a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 22:41:36 2024 +0200

    Also added Bash completions for HPCT Trigger.

commit fc44654eef24882db8b3e4bc30d3ad5735bb903b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 22:30:39 2024 +0200

    Packaging update.

commit 6e113ee82d0b5c5b587affdb0a5df9082944ed56
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 22:26:05 2024 +0200

    Added Bash completions to CMakeLists.txt.

commit 993e48025afecfcddf5e97d6197ad3e10abe5355
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 22:25:48 2024 +0200

    Improved pipe-checksum and added Bash completions.

commit 20abd973b3eead34fa9f93fee5297960fa922650
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 21:36:21 2024 +0200

    Improved Query Tool Bash completions and manpage.

commit a128d6ef675b377b49ddec23b6d789abe1ae2e72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 21:23:37 2024 +0200

    Packaging update.

commit 63f98f950e8517d7022dbfb7ae6dfedbe2d6eaea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 23 21:23:31 2024 +0200

    Added logo files.

commit ed52717f5b4dfa5eb206d30f9a513beebfb64fd2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Oct 19 21:46:24 2024 +0200

    Improved Bash completions.

commit a91ac1cf7505e756e67e54ed0a33663eecb01dbc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 23:26:58 2024 +0200

    MIME type fix.

commit bf4e7e027a2537e14f3767193e9deeb29fc7d0ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 22:37:46 2024 +0200

    Minor update.

commit 9d35206f7f7d435f501d3575da4566daec3e69c6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 15:24:56 2024 +0200

    Workflow update.

commit cf0074e70b23995fc7489613d7b06bf408f8dad2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 12:55:17 2024 +0200

    Updated CI scripts.

commit 275cd45c1e1836485e06b24855137d36119dee45
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 10:26:44 2024 +0200

    Debian packaging update.

commit a016350289f807a5c168b88dbdf47c7b9ea62624
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 10:26:38 2024 +0200

    Workflow update.

commit 90040a8967314025b61483f01262495ac35ef478
Merge: ec923f28 a5007748
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 10:13:44 2024 +0200

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit a50077484f3e816c4103e034f57336865b9d1195
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 10:13:26 2024 +0200

    Fedora packaging update.

commit ec923f285954059ff03e9750f2fac3a235a678e9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 10:05:38 2024 +0200

    Workflow update.

commit 3a837fd6f2c1f34ef43b8f4bc2b642c42e47db80
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 09:55:11 2024 +0200

    A fix.

commit 766d2ab771f1c884f07038498f86be93b3ecb515
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 09:43:46 2024 +0200

    File name regexp update to match with new file name scheme.

commit e415abca46937cb06fb682c9c3b9e2e02b76e346
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 18 09:25:17 2024 +0200

    Changed results file extension to .hpct.

commit 6946605cef10f55b2e7b9f2f45d094fbf7059839
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 17:02:38 2024 +0200

    Typo fix.

commit d64b6987c1eb91abe1fcd8bd18ec80ff51ddccf5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 16:53:08 2024 +0200

    Updated MIME type.

commit fc880d2c609885644b1ccf7e222e5f360aec9320
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 15:33:06 2024 +0200

    RPM spec update.

commit 8a2a5a70c35f8dcbd8c1f407b10a17f037a1336b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 15:29:41 2024 +0200

    Packaging update.

commit d71ac8c1509238ba9cbf3c054e98f027cb9f7ec8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 12:27:23 2024 +0200

    Added MIME type for results files.

commit e3b43ecf3335f244d256a19170b943ef605bdc64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 11:27:59 2024 +0200

    Further clean-ups.

commit 2ee2922275101e8efdc0b6cca1837c784eff2709
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 11:27:32 2024 +0200

    Configuration improvement.

commit c2b8cf46dc75bc90b800062eb3136cc741001579
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 10:54:01 2024 +0200

    Options fix.

commit b1eb2a9341cef2db53dadfef4e1daa0ffb41054e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 10:32:22 2024 +0200

    Further clean-ups.

commit d2fed06382902ea993b3038aaea191d29195cb15
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 10:15:30 2024 +0200

    Clean-ups and header updates.

commit 7d9f32ef622448fe87842c4d05f273dc7b68fc89
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 17 09:28:40 2024 +0200

    Updated workflows.

commit f1f62de945b6ec500d213589ba95f4f259e0a7e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 17:34:27 2024 +0200

    Packaging update.

commit a37909cec1d19101296909421aa6efc55d235c70
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 16:58:41 2024 +0200

    Packaging update.

commit 864b7e6d80130cdd6a36b9b819b3dff3adb621ba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 16:52:23 2024 +0200

    Added Bash completions for UDP Echo Server.

commit 4ff6b8119451d25d669de75ccf382636f56ed1fa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 16:34:40 2024 +0200

    Improved manpages.

commit a30370692e4b0257c771d0d91e3d239a7ac9da34
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 16:34:33 2024 +0200

    Updated CMakeLists.txt.

commit b25fe1ecf2e259ff48a09c59e9c2b7570aea74bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 16:34:26 2024 +0200

    Added Bash completions for DB Shell.

commit 206527e41e525688ef71363aab125e548c311286
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 15:27:09 2024 +0200

    Minor Bash completion update.

commit 03e04ea0bda49f11d709a5a174e0455ae1fc4eec
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 15:27:03 2024 +0200

    Improved manpages.

commit 00a43e00d99aeb81026c2c54ec1b087bdfa1b410
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 15:19:54 2024 +0200

    Finished Bash completions.

commit 066c3e80ac9a5196f13902347bc32c7f3e4fd662
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 15:19:48 2024 +0200

    Improved manpage.

commit 34efcf69731bc7493bdf87e70e8d22e1d2c3f26c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 14:25:56 2024 +0200

    Added initial Bash completion script for HiPerConTracer.

commit 1ee969c24a9bc764ae3575b06ee88328faa6a262
Merge: 49454972 b9b389a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 13:16:25 2024 +0200

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit 4945497272d1f5dd378134f9ec3a21e176f73960
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 16 13:16:14 2024 +0200

    Updated CI scripts.

commit b9b389a847ceaf8c3da156b2a210eec7aec863f4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 21:33:13 2024 +0200

    Improved CMakeLists.txt.

commit 4af087711dd6798773ae638ea9be0b032d9ffbdb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 16:41:35 2024 +0200

    Updated test.

commit 99628ed584f05ffacb88e010c547aa6f962bc8dc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 16:27:25 2024 +0200

    Workflow update.

commit 5adf2e24cb9b8e707f9e2633f8360aaa3bc27f0e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 16:26:39 2024 +0200

    Installation improvements.

commit b950637748db04869f92f42090130889d15e5111
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 14:01:05 2024 +0200

    Packaging updates.

commit fa59cc2f111c05a2615c922f0c62afb7c65b6266
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 13:34:49 2024 +0200

    Updated manpages.

commit 64a8e9093019c769a752bf4687d88e06f009bb34
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 13:32:58 2024 +0200

    A fix.

commit c881e7549de21e8d81fe638946038eb36838ab54
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 12:31:17 2024 +0200

    Improved database tests.

commit cc01980de67ff4d03f79eff686397f781355a16d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 12:30:56 2024 +0200

    Improved tests.

commit 9c8e85d8896178b7104dcf48e90889bb40cffdb3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 12:04:36 2024 +0200

    Improved database test.

commit 21e473839857205d124db98c77582eb69d15cd45
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 11:03:42 2024 +0200

    Improved tests.

commit 2d18d345666a23576dde421cb30334ae6d0e9be0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 11:03:28 2024 +0200

    Some clean-ups.

commit 76d76fd52e2d5d00e4c1bb090c2fa7496b8ed918
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 11:03:18 2024 +0200

    Updated manpages.

commit 0217f18f749ab82c78d1852f4828866178ff84c7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 10:54:05 2024 +0200

    Improved script.

commit 0c8867708411b63d32e64e3aad016b5834e01f71
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 10:12:17 2024 +0200

    Improved tests.

commit 53450796677b3539f4cd29e0c096452371e9f14b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 10:11:58 2024 +0200

    CMakeLists.txt improvements.

commit 62404e41e136a2b86a8fd29af890f33c73446dd4
Merge: b078d5e9 894fe74f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 09:17:15 2024 +0200

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit b078d5e94872667a5bc36cdd65dfde4864d03b41
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 15 09:16:43 2024 +0200

    Updated workflow.

commit 894fe74ffe4ab411a0b6c9b8e26a8d4e78d95e9c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 17:56:47 2024 +0200

    FreeBSD Makefile update.

commit 26262ce9306450a46487d33dea850b70a2db3a48
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 17:55:35 2024 +0200

    Updated CI scripts.

commit 36fce710ca37e539fe3395ca461882ec0c9c2112
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 17:20:55 2024 +0200

    ShellCheck improvements.

commit 97091e2d4bdca0b39bb7844da9cf774fa03fb96b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 17:10:54 2024 +0200

    A fix.

commit 2510d9c54edd308dd4523e8a3a9b9c9e810f9b58
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 17:07:20 2024 +0200

    A fix.

commit f9e6828bbe9d20758cf5bcc49bbb0bc4f66631ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:42:18 2024 +0200

    Packaging update.

commit 79124cda9ba6044598a5b89e0a97fd61844cacd4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:42:06 2024 +0200

    Improved scripts and added manpages.

commit 18a1bfbac4400134dc15713ec8306963b3c69f85
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 16:40:33 2024 +0200

    Packaging updates.

commit ac6d63636943b9a101478ba5a0b2f6c421ea103a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 16:01:02 2024 +0200

    RPM spec update.

commit 394f9334ed76211be916d20d91056bd8f11155a3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:47:19 2024 +0200

    Updated RPM spec file.

commit e831e891af2b8ff08625249939f92629022d4bce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:42:18 2024 +0200

    Packaging update.

commit 7b27c5cba5896eb285cef9486f9f9056fa909c0b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:42:06 2024 +0200

    Improved scripts and added manpages.

commit 80acfbfc7014363eaab0fad373ed084929c0f79a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 13:27:17 2024 +0200

    Improved scripts.

commit 746f2ba388671ee1cfc5d960732f34dca5c504cf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 12:54:02 2024 +0200

    MongoDB configuration improvements.

commit 85034cc2396cecc620a908cd8fd4bf5183f51e93
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 12:51:24 2024 +0200

    Updated make-dbeaver-configuration and added a manpage.

commit f6417934073b9ad73b296c77d42d07cd2b269070
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 16:40:33 2024 +0200

    Packaging updates.

commit 0b721b7b5c0950eaaf6c77296eca083f100758d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 16:00:51 2024 +0200

    Added VCS fields.

commit 5e7abf14ea00e432c2c14c2b1c3a641dd6d12861
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:47:19 2024 +0200

    Updated RPM spec file.

commit b8f8c106df89cdc3b3c1d26499df95803d7333a9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:42:18 2024 +0200

    Packaging update.

commit 2cf016bf2a32838c940995ddaef3f8b2e581571c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 15:42:06 2024 +0200

    Improved scripts and added manpages.

commit 6def21880b2c3eecd98ab7c9d678520236fb0b67
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 14 16:01:02 2024 +0200

    RPM spec update.

commit 261cf3bdd6ea47085b7524bd67f7219964aeb033
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 13 18:13:07 2024 +0200

    Updated CI scripts.

commit 5337383646cecf16fc1201a210f741691e9ef75d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 13 17:19:02 2024 +0200

    Some clean-ups and documentation.

commit 3c322062e6687035339911c8454010a2bf8ff349
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Sun Oct 13 17:10:56 2024 +0200

    UDP Ping now working under FreeBSD, with limitation due to missing IPV6_HDRINCL.

commit 9f29028ae48493ad8ce465e147338ec6e3038eac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 13 16:44:23 2024 +0200

    An update.

commit dba8e990a352a198fd1ddc0a5e86853160386bd1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 13 16:39:59 2024 +0200

    Handle IP_HDRINCL and IPV6_HDRINCL cases.

commit ed25e508dc0a4b9720553d67f60ad00fbe0ed75a
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Sun Oct 13 15:03:31 2024 +0200

    Minor clean-ups.

commit b9afc75295ec41166135810126e4f57a2f6e61aa
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Sun Oct 13 14:27:29 2024 +0200

    Updated script.

commit 227237b89ec28f5fe0697cca57b6ec2249b8e759
Merge: c8cb6784 5072cd22
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Sun Oct 13 14:20:04 2024 +0200

    Merge branch 'dreibh/udpping' into dreibh/freebsd

commit 5072cd2295b18a38d6e918ba501c4558b7a9738c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Oct 13 14:18:26 2024 +0200

    Bugfix: Do not try to create results directory if results are not going to be written into a file.

commit c8cb67841a3bd50c87bc40ddcd7622175d92fedc
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Sun Oct 13 13:45:26 2024 +0200

    Renamed script.

commit a693a3f09cfa9d074ae9abc1a0e5c1110fd18a09
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Sun Oct 13 13:45:00 2024 +0200

    Added FreeBSD helper script.

commit d19682bc49c792cd9b115a27e95f57a7f632e897
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 13:36:06 2024 +0200

    Updated workflow.

commit ed2fcd0e154566272a4bd96f668d1d03e9b33828
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 13:27:41 2024 +0200

    Compiler option update.

commit 2f2b84d95ea58c5e0d145980e337df680416cd0a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 12:28:28 2024 +0200

    Updated autogen.sh script.

commit 5541dba62654b42b3fb0c8c04dfc578c3c1aa245
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 11:58:13 2024 +0200

    Updated workflow.

commit eab0a56c0eff90335acd39ddee0f7f5b36dd94be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 11:58:06 2024 +0200

    RPM spec update.

commit 2d04aa9943dc813c43627b4e4996a2f7821dc37c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 11:57:36 2024 +0200

    Added Lintian overrides.

commit f5ee9869018ede1d49ac0753fe22c1f0f15300f7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 9 09:10:29 2024 +0200

    Removed LSM file.

commit 587c96745924b220b6fe17a0685e17c5a98cdf8a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 18:11:32 2024 +0200

    Packaging improvements.

commit 8ab21bce948e1d3ea9ea0c4629f0d0b5e5a9591c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 17:57:10 2024 +0200

    Updated workflow.

commit 68a07ee265d582603fe7a3c0190fbd635512a741
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 17:47:44 2024 +0200

    Improved packaging.

commit ac3720f051ed2b9677e4e1167c2d562447d3d5f9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 17:47:35 2024 +0200

    Updated service file.

commit d1e74d22297e1b712a0d2494b58ddeea1aa99787
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 16:54:12 2024 +0200

    Yet another workflow update.

commit a70ce988d6d057c6df1b215c1b8f271b193c34cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 16:48:48 2024 +0200

    Workflows update.

commit b5c661ae0629180ae5c28e69d1da49188dc9724e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 16:23:43 2024 +0200

    Workflow update.

commit 6846bc5b121059603d8b93a96a0d45441513beea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 16:23:38 2024 +0200

    Test update.

commit 6e412b408e2ac418a616d3f35ddd56377e608127
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 16:02:55 2024 +0200

    Updated workflow.

commit c7f907f46d8efb146e2f53111a0228cb117c9d03
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 16:02:48 2024 +0200

    Added test.

commit 491fbfa0dda7861c03d630c4436088cd902ad4f9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 15:30:36 2024 +0200

    Updated multiarch workflow.

commit 65bfe1e5ab5eaf90d2295f2e7efcd8fcbc84678d
Merge: e906bd09 c06ab142
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 14:48:48 2024 +0200

    Merge branch 'master' into dreibh/udpping

commit e906bd0981ca9a6a01b2c6ccb66e5f567674c2db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 8 14:42:23 2024 +0200

    Updated build scripts

commit c06ab1429e17ab2fc003b51ac8118e0658442511
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 18 14:36:05 2024 +0200

    Another try.

commit 34df0f50e88d1c08025b500a34b596df0a8f94ba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 18 14:34:33 2024 +0200

    Another GitHub Workflows update.

commit 1b7833a98b1fe953b16fb1c3804cdff9372c2233
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 18 14:32:19 2024 +0200

    GitHub Workflows update.

commit e364e5c72f3a76b80b2c6be5ce14974569c8bc1b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 16:42:26 2024 +0200

    Properly handle FreeBSD clock.

commit 78fff8c03507f2717979061687f20183e7f0f00a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 14:27:58 2024 +0200

    Directory hierachy support configurable and documented in manpages.

commit 5fe9be78f3d2dcb8677041e67a60a6ad380696db
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 14:02:21 2024 +0200

    Directory hierachy support is working now.

commit fc10192574ea2121d7ebaef3b2cc1031f010fd7b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 13:21:53 2024 +0200

    Towards directory hierachy support.

commit c8c9c63857612946fe4e441fb94d36ef04c30b51
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 13:20:15 2024 +0200

    Minor update.

commit 2e4fd2ff0de5851f8b301d75ce5f437dda766b63
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 12:27:48 2024 +0200

    Indentation fix.

commit 92ff5b9124c0bf3f03423a98419a73f90fd6fae7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 12:15:06 2024 +0200

    Moved function out out ReaderBase.

commit e83e4650882825fa2d8ced1e4cd28fedda94c3de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Sep 17 11:57:13 2024 +0200

    Improved test scripts.

commit d6c6d2df3fabb3203f7130fcbe149e4144dbd64d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 12:16:41 2024 +0200

    Fedora dependency updates.

commit bcc3edcbed5dde6adfc24112b60749b664fa1bc1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 12:16:31 2024 +0200

    Packaging update.

commit eac0b5db7d9298d61d2452fe9a40297c7202a245
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 12:09:11 2024 +0200

    Another manpage update.

commit 7a94508ca952dedbe2b8d050e7dbb04cf9267fa8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 12:03:54 2024 +0200

    Minor fix.

commit 26ed77555f3945d4074a38d8ae5cad09d026992e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 11:56:55 2024 +0200

    Manpage improvement.

commit 231335e736144846930b4fe3e91168312cb9ca1a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 11:26:10 2024 +0200

    Further manpage improvements.

commit 028f43f2f111608bcce4114bb6df9a279154f525
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 11:25:38 2024 +0200

    Manpage improvements.

commit 68ffc640c4764c1c770bcd069871971b112c3eda
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 11:06:51 2024 +0200

    Improved manpage.

commit feb7f3df8c9bd9a9227b12899417af0ef8e46615
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 10:19:32 2024 +0200

    Manpage improvement.

commit d87b438723038f7d6da9dceefceacf962e39ccce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 10:06:32 2024 +0200

    Arguments handling improvement.

commit f796ff7f35394247ecd24193f79f1b1673f48846
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 10:05:11 2024 +0200

    Improved arguments handling.

commit 57ce26ad93dd1e2732a7d281cdd07a0904dca386
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 09:57:03 2024 +0200

    Manpage improvements.

commit c5cb775e1012c41b3a6f810e80dd860dae6821fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 09:32:07 2024 +0200

    Some manpage updates.

commit 16ee94da996590cdd22e3202cbc89dbbbbba5e3d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Sep 5 09:25:05 2024 +0200

    Options improvement and manpage update.

commit 193a7a3406ad3feb8bcdfd587c35b87d1ded0a66
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 17:01:47 2024 +0200

    Removed obsolete file.

commit 7e9fa40163905253103a686327aa740bfcab89e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 17:00:34 2024 +0200

    ShellCheck improvements.

commit 902b7fc2fdd3bcae02964246ee4c05e49586021d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 16:56:08 2024 +0200

    Path fix.

commit 57a7572aafb35d01b85605d7202dad1b4b198bd6
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Sep 4 16:26:21 2024 +0200

    Fixed attribute initialisation order.

commit 3510410d5fb03f589e05aa2032d1f6e5b0c1ad5b
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Sep 4 15:57:55 2024 +0200

    Path updates.

commit ad6240e0d7fd3aa5908e0e92a91f84159b7ff0fe
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Sep 4 15:57:47 2024 +0200

    Path fix.

commit d0f7d59817a73e2408b1cf1945a7cf8aad515b04
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Sep 4 15:44:55 2024 +0200

    Minor clean-up.

commit c97d96af567514b7bb25803cd6e667f4556f90b1
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Sep 4 15:39:21 2024 +0200

    Improved parameter order of Worker constructor.

commit 7ff6c6797591d065568cf2be0b4f90ef1c4479ab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 15:13:54 2024 +0200

    Minor FreeBSD update.

commit 4294a66d18a27bfca6fa0e6e053c915f3c5cd4a8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 15:11:49 2024 +0200

    Packaging updates.

commit 9650af297b964acb08c3c854892548ec0184a0c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 14:57:49 2024 +0200

    Added HPCT Sync Tool.

commit beda03830b2112e60ce25c21b3275d71bd3e6f96
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 14:20:34 2024 +0200

    Further service refinements.

commit acbbb58e69ebe9b64e1be72a8261104ef7c6be80
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 14:06:44 2024 +0200

    Service configuration refinements.

commit 680ed3a3d86ed676228b0f0ceecba7cee81bb34a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 13:58:41 2024 +0200

    Packaging update.

commit f388d0d14e5e75bd82dd449e18fe994acf0fc668
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 12:46:37 2024 +0200

    Further configuration updates.

commit fa12d808676e53dbcd49a1291c278998d5c15fd7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 12:32:08 2024 +0200

    Updated configuration.

commit 8857c88a6da1b7368f07216a11d2b38019e3e1e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 12:30:33 2024 +0200

    Updated configuration.

commit c24ce7e9b94bc583f472e4f65350a34fa5ddd3c9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 12:30:12 2024 +0200

    Removed test from CMakeLists.txt.

commit 914b94eb2f9cde890ca63782ca9f499144abe41d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 11:11:49 2024 +0200

    Packaging fix.

commit 5d06bd8cd63d552fc0037111e4862f5fd66fefa1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Sep 4 11:09:07 2024 +0200

    Added example service files.

commit 26189f3511f9ef649cb74721820b27f9dfdfa61c
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Wed Sep 4 09:41:58 2024 +0200

    FreeBSD test improvements.

commit 30e5cf005a75b8980d7f5fa883baf7d9cc73ea93
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Tue Sep 3 17:19:56 2024 +0200

    FreeBSD dependency fix.

commit 2f2cc7073f656cc5585dd66cc7eaa74b90cb2feb
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Sep 2 15:07:40 2024 +0200

    Another fix.

commit 1cbb047ae03656e5beb23d165d7057616ccdf327
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 2 15:06:13 2024 +0200

    FreeBSD: Runtime estimation has to use system clock.

commit 2da3cbdbec8f903ada2511062250de5d30b038e5
Merge: 466e71a4 6bcd133c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 2 14:56:42 2024 +0200

    Merge branch 'dreibh/freebsd' of github.com:dreibh/hipercontracer into dreibh/freebsd

commit 466e71a4cd0e9995afa22302c737c43b699cb29d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 2 14:56:06 2024 +0200

    Dependency update.

commit 6bcd133cd5a98605a4ef722011fc8b8886c411e9
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Sep 2 13:46:17 2024 +0200

    FreeBSD: stack size is too small to hold large arrays.

commit c9a2a50995472770d424f2d8964b7acb79ac3113
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Sep 2 13:25:00 2024 +0200

    MongoDB test improvements.

commit d23582805e31c7e91cd2283dcbd70c6a421d51ec
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Sep 2 12:54:37 2024 +0200

    FreeBSD PostgreSQL test now working.

commit 256c74a64e58a8c2a4de19e742e58257d2e515b5
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Sep 2 12:04:39 2024 +0200

    Towards FreeBSD PostgreSQL configuration.

commit 9e49896bc1277201b908039499cb06ce8843e6b6
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Mon Sep 2 11:34:27 2024 +0200

    Improved MongoDB installation under FreeBSD.

commit e4c1ac9a9e7edf3e2e9fdcd75555a8ae5cdfd405
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Sep 2 11:22:51 2024 +0200

    Improved time stamp handling.

commit 39b5563894382b213b983bb751753fa174796127
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 18:00:33 2024 +0200

    Some more testing.

commit df1c408d1aefedad4613958c74e34d8ec0b8268d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 18:00:09 2024 +0200

    Some more testing.

commit bdacdc3f929740c12e9796cb3104a4507bf271ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:59:00 2024 +0200

    Some more testing.

commit 2ebb93fd66a6585028a005c8bb227888fe4d013c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:46:51 2024 +0200

    Some more testing.

commit 25e042dd7b3622656e9141e7c7eeaa61585d4af7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:39:03 2024 +0200

    Some more testing.

commit e7c5ff03032d7f42960cc7870e750a07729a609b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:34:16 2024 +0200

    Some more testing.

commit 4ab53b901ae42ad25d2c88d8add0399bc45365ef
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:33:54 2024 +0200

    Some more testing.

commit 92345311074313c9897f8f59dc89799dd885709b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:30:03 2024 +0200

    Some more testing.

commit 6db52b848f6c60eb2befae471984d6ee2e2f0974
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:27:53 2024 +0200

    Some more testing.

commit 1d506ff260ab1612bac6848331d62117e67f5f6c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:25:12 2024 +0200

    Some more testing.

commit 4f5c64909265560422ac32b8b57c92501ff43c9b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:23:37 2024 +0200

    Some more testing.

commit 350b50b369b7e5f73711c7389d7ec365357bd3d6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:23:00 2024 +0200

    Some more testing.

commit 4bd7ef8b23aeebb67ea59001ddea418731ee78d8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:22:08 2024 +0200

    Some more testing.

commit 488cb6644472c74e5ee6a2269b4619ca92ece0e5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:21:11 2024 +0200

    Some more testing.

commit 4f9de94559a592dfa0c27cbb41502b550b93a2f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:13:00 2024 +0200

    Yet another test.

commit 4e3dfa621b3ba589c07246ab3c0f20604ca54fa3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:06:03 2024 +0200

    More testing.

commit bae31b08d5eb3e7b9a2fac123b135f341c2a4501
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 17:04:25 2024 +0200

    Another test.

commit 1d3ac93fef80c71120cffe98f19064fe6e797afc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 16:52:43 2024 +0200

    Some testing.

commit baa594b7a77cfc1fa4c9c6eff50a1dd1dbe8a154
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 16:44:39 2024 +0200

    Another test.

commit 5fcfeb7ac5ef2308e8fe75410605b534ef2b4db0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 16:35:28 2024 +0200

    Added test.

commit 86114b01d9acd974eb2487deb4a8087ebfeb35d9
Merge: 2d822acc 39515f6f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Aug 30 16:22:34 2024 +0200

    Merge branch 'dreibh/udpping' into dreibh/freebsd

commit 39515f6f5e8fef7b1213d1689d083c38ed8cb40f
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 30 14:03:47 2024 +0200

    Improved scripts.

commit 3692913ea64f9f206ff1a8afed51057cac3361f3
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 30 13:19:55 2024 +0200

    PostgreSQL test is now working under Fedora as well.

commit 8c712528a19fb67d4591cace2ecbb9decc0c7a11
Merge: 66b8afcf d250ce1b
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 30 13:11:57 2024 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit 66b8afcf933f6113ae035a0e0341a4d68ee99f2b
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 30 13:11:46 2024 +0200

    Improved PostgreSQL installation.

commit d250ce1bb5b3321218cd0f92b883fd73634d1c0d
Merge: fbe35b15 a8317e73
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 30 13:11:19 2024 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit fbe35b15d7b0a1b98d493acb02f840e88f41dcae
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 30 13:11:04 2024 +0200

    Improved error message.

commit a8317e73e4e0aeb598bb0a0eb564f15d211a22d2
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 30 12:21:32 2024 +0200

    Fedora PostgreSQL configuration improvements.

commit 4a221eaa833dedcd98a0df4a4469a254ee28dc17
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Mon Aug 26 17:04:44 2024 +0200

    Bugfix: it1 may only be incremented if it1 != ca.end(). Otherwise, it triggers a crash under FreeBSD.

commit 20099f549573359e4f1ebdedfb6fe724e79b4eaa
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Mon Aug 26 16:52:25 2024 +0200

    Improved error handling.

commit d965a68f86d13a4b9756a880f0605c233f22898a
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Mon Aug 26 16:41:02 2024 +0200

    CMakeLists.txt update for finding BOOST libraries.

commit f3c636e03c00bcd25e38ab19c2067932360ec8aa
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Mon Aug 26 16:28:58 2024 +0200

    FreeBSD dependency update.

commit 26106b7f03da9a4c33dc2f1fc72ec6c63170b459
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 26 11:20:26 2024 +0200

    MYSQL_PWD is deprecated.

commit dcec90ffc39b4c16fb78181c9cb47b4e61d7eb23
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 18:16:10 2024 +0200

    FreeBSD build improvements.

commit 4eb6c28cb3fb57fcde66b61386314d4ea4dc8a76
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 23 16:54:52 2024 +0200

    FreeBSD compatibility fix.

commit febb387ea8e51bdb098324cc9a0da29ae75ae255
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 16:47:54 2024 +0200

    FreeBSD regexp compatibility fix.

commit 49e3b80a8a539ab98f419221ac52808cb95b0c29
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 16:40:58 2024 +0200

    FreeBSD fix.

commit 6493d2ea4288a498b4c93c656ef45d428d4c21fb
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 16:36:03 2024 +0200

    FreeBSD build updates.

commit a4903f94ab684cf43b2a1f09388f5377a3908c42
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 16:35:59 2024 +0200

    A fix.

commit 0cbea9610c647f60e3e73297ce26050fd6a54b8c
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 16:06:05 2024 +0200

    MongoDB on Fedora is working now.

commit 3f6c11eef66bdc2fee70f2e87d9f7f84fc4ab52e
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 15:34:06 2024 +0200

    Improved scripts.

commit 83e0590069cd15646beb3a0c460e9d19900cd938
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 15:01:45 2024 +0200

    Improved script.

commit 62a73a8e39872b3684e07acba775c083aa1be585
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 14:43:17 2024 +0200

    Fix for Fedora.

commit 7d211ca6abb1d56d118e9e1b672cbc53acab81fd
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 14:28:41 2024 +0200

    Improved script.

commit 1d6f8099b3a2a9dbe1698c09a254d0f4098ffac0
Author: NorNet Praesum Presum <nornetpp@dbtest.hipercontracer.nornet>
Date:   Fri Aug 23 13:38:47 2024 +0200

    OpenSSL configuration fixes.

commit 1e8ca6ce88b8a00f7b358bee47fdc990edf98944
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 23 11:57:41 2024 +0200

    Improved DBeaver configuration.

commit a13d28781fc7d940e6fd24696c1d96ba79eff7ca
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 23 11:44:32 2024 +0200

    MongoDB test is now working under Debian 12.

commit afe459e68b68a6133ad7a4bb61d0c6eaed47098e
Author: NorNet Praesum Presum <nornetpp@localhost>
Date:   Fri Aug 23 11:22:32 2024 +0200

    A fix.

commit 58d7a3ac63b9199c7a1e55bb31af4fcf685f720d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 21 17:30:32 2024 +0200

    Schema update.

commit c02d193cf9ee41116f1463f42b97d09c0f1dcb92
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 21 13:33:55 2024 +0200

    Some testing with compression settings.

commit 73fa25315a16b10d4f8f1fd753ae353994ecec64
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 21 12:46:32 2024 +0200

    Added test script.

commit 0433365c72ee8965e1a72dbe6003f282e22c900b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 21 12:39:59 2024 +0200

    Improved output handling.

commit a431cecd56c37a743c97bb1a4be452871d311a6e
Merge: 76996412 0feb3792
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 16:42:56 2024 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit 76996412fc1e341a1dab355df99b8e7c0a94d9f7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 16:42:26 2024 +0200

    Removed debug build.

commit 99adff2b64cd76cca130b31eaf5336fe411e2633
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 16:42:19 2024 +0200

    Improved test scripts.

commit 0feb3792e9206e0fba9f8a9dbdc797919fba48b5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 14:10:51 2024 +0200

    Minor update.

commit 69d2cf3f3aac828207fc78bc00b8fb4933466740
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 14:00:52 2024 +0200

    Improved error handling.

commit 1a02fba2f522db7da665ce07ff13166f750c0f61
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 13:17:04 2024 +0200

    Improved query tool and its manpage.

commit 6786795560cfcc1d8d4bfecb1a56cc4442a92821
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 20 12:31:14 2024 +0200

    Improved version 1 query.

commit 0e6ae77a64a65a42e998386f512c4058187e5a66
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 16:59:47 2024 +0200

    Improved version 1 data extraction.

commit cad9331b461c9889282cdc2163ddeda94263578d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 15:36:03 2024 +0200

    A fix.

commit da78c04227ddfc4a2f29996d8c55ed78c122c71d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 15:32:18 2024 +0200

    Improved script.

commit d112ac15acf929c121454619e7d3606c894dfce3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 14:41:02 2024 +0200

    Minor update.

commit 55967780031b23a82caf2deac6856351afdbc71f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 14:15:35 2024 +0200

    Improved test script.

commit 3aa157a64d090f05d6b106d4e6259478da920f42
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 14:14:34 2024 +0200

    Improved configuration file naming.

commit e0862cd5074ba48d3891febbca3783955ab33c8d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 19 13:46:55 2024 +0200

    Improved script.

commit 6633fd51b950ffdfafa0f4bed7c6a8368811f8b8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 15 17:40:31 2024 +0200

    Minor configuration update.

commit efdffe87022c294f59f9da75841dc11883739709
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 15 17:40:23 2024 +0200

    Updated scripts.

commit 203233fb3dccf746d30845209c1670ff5ab16395
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 21:37:49 2024 +0200

    Minor update.

commit 3b8dc9e7738658b0ce3ee8abce131c681de93c72
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 21:28:08 2024 +0200

    Schema improvements.

commit 44c06f17d4edd9a210e27b89b2bb926c45abda74
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 20:39:44 2024 +0200

    Improved script.

commit fdee9e0615b21fa4de0af6d00ce0fd93c4d875d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 20:39:39 2024 +0200

    Improved test scripts.

commit 7d9911fd2829ba18fb6f0d83a32824f3ca0c2e45
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 20:39:23 2024 +0200

    Schema improvements.

commit 3c91dc2aa0237eaeb7fd84704746801cdf0e3fcb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 18:43:03 2024 +0200

    Improved scripts.

commit 9d810df4742f81b576ffa68a1bb9adeb6db7a5bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 18:42:54 2024 +0200

    Improved test scripts.

commit 0882946d226b0c7435363b5f63fd0080a29a2ae1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 11:22:10 2024 +0200

    DBeaver configuration improvements.

commit fde9945efaae1ba51c28e3cf36279122185c2f07
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 11:21:49 2024 +0200

    Improved database configurations.

commit 9aaad2a70aaa9928d4b23e4ce190303ab86fe202
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 11:21:34 2024 +0200

    Improved test script.

commit 6e3e29950e96d2ca62e10c71ef48eca854e1a20f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 09:39:28 2024 +0200

    Improved DBeaver settings.

commit 883bc2bca68360676c96b1619994942d4f2b9b69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 09:25:23 2024 +0200

    Further improvements.

commit 8b46ff5d580179f652ea2c0fd215c7e6b22a5845
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 14 08:56:28 2024 +0200

    DBeaver configuration is now working.

commit 2076504445fa800344f9eae08bd85549a344dfc4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 13 11:19:18 2024 +0200

    Added helper scripts.

commit cae69722f4b9ec5b7b75fb1df0a802425f30fbf0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 8 17:04:38 2024 +0200

    Improved script. It still needs work.

commit 01f272d060c2177c0d088c2b54786172a29d00ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 8 17:04:30 2024 +0200

    Added quiet mode.

commit aa81243289dfff1c765cc3c7ef15a457aba2fd2e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 8 16:42:41 2024 +0200

    Added helper script.

commit bd13b5bd4db2915cb00b16c7ff6837a23a98c83e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 8 16:42:31 2024 +0200

    Improved script.

commit ad96a6e8bf431d66389c8881137c14eb28e8e5c5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Aug 8 15:15:25 2024 +0200

    Added option to write DBeaver configuration.

commit 6bcfb36c0e8d0830f6f58b967d124bd2b5b0804f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 13:47:29 2024 +0200

    Minor update.

commit a872986c4598f6187ad4dc8f5025b113fecc3349
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 13:43:51 2024 +0200

    Added test script.

commit 952a8969cc94ffaf2c3bd37f0ab0c70a68dce425
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 13:43:36 2024 +0200

    Updated QueryHelper.

commit 79bd6d6cd821be6d89fcf25cf4a8f40507d16bc2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 12:58:23 2024 +0200

    Fixed typo.

commit 010ef84863addc212607a1fe2819586b33abfff6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 12:45:21 2024 +0200

    Another view update.

commit af41813a25b8e44ce4c5b5becb8b0f411060e1d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 12:41:04 2024 +0200

    Added Traceroute version 1 export.

commit 60ffd396a6a365b1ff155b3c0687c5168cc00f04
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 12:39:34 2024 +0200

    View improvements.

commit 969e1f12904278432a224848399b151c6908abde
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 11:48:15 2024 +0200

    Added Ping version 1 export.

commit fa2e5d1fa707b8bbd15bcd841dce4f714b2b5884
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 11:48:09 2024 +0200

    Some clean-ups.

commit 46cfbf21ec1c0ea923023b5d29c2ed882db0e8c8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Aug 7 11:08:38 2024 +0200

    PostgreSQL view fix.

commit 88e22df31a3ece0fb50dd881ab22829e02aeb8f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 18:05:37 2024 +0200

    Schema improvements.

commit 0e355430a3afc3b306688c279908f3197c5c6e5f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 17:52:23 2024 +0200

    Schema updates.

commit a6f276cbc61b04c380baa32b8a3e6cb668e2f7bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 17:39:31 2024 +0200

    Added Ping views to SQL schemata.

commit fd2a0108923f7442c9386b7127a771087c0dab6b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 15:38:02 2024 +0200

    Query Tool is now able to read version 1 tables from NoSQL database.

commit 2fcf63e9f03b3590b058a047801e9acff99754ae
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 15:37:37 2024 +0200

    Added option to check existence of column in NoSQL database.

commit 788022f21f5659e900a78135316b28ed2d99b3c3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 14:47:44 2024 +0200

    Further improvements for the MongoDB test.

commit e3947001aab68ffb2598e35d2215fee7735c94cd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 13:46:49 2024 +0200

    Improved test script.

commit aee7d056a86a0110677e7080de338af6aa728fab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 13:12:32 2024 +0200

    A fix.

commit 57c89e43b3fad7959c2c1b85b59acc0ab07a494d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 13:11:15 2024 +0200

    Improved script.

commit 5b6394e74983576f45644a263e6229c7dd9a423b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 12:30:54 2024 +0200

    Some clean-up.

commit 68af208b445d46727d72a25595a5fff0baf22e40
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 12:30:45 2024 +0200

    Improved Query Tool.

commit a14e428a4f17289ec155dd8543de76cb990b5a65
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 11:57:41 2024 +0200

    Added table name configuration option to Query Tool.

commit 836f798a5a29d299bd4ca08995ea8e10b5e1a77f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 11:32:49 2024 +0200

    Finished configurability of table names.

commit 6dea2a43374ffd1904a1b83932c01a76faa8696c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 11:12:26 2024 +0200

    Improved script.

commit b0a5ec41b994d815c3ca1cf687efd8d3799b1eb3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 11:12:13 2024 +0200

    Added custom table name configuration.

commit 12ee928bf6923acedf7e1a294d644934da9c4b38
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 10:10:41 2024 +0200

    Further improvements.

commit 5292d947c3cdeb5a8f53ff27cfe871776e9c4ad2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 10:01:27 2024 +0200

    Minor update.

commit aac4fb0f2b8265cee6cff3e228d421ff5af58d91
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Aug 6 09:52:33 2024 +0200

    Improved script.

commit 17ffb6180557c882e934feb27e08712a45a67429
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 18:02:53 2024 +0200

    CMakeLists clean-ups.

commit 9578126075c1c3b64ca46e45f5b5c6cba4946308
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:55:00 2024 +0200

    RPM spec update.

commit d054339176b412728427d33380da694417cbf1c1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:54:49 2024 +0200

    Packaging update.

commit 1f7bfa6de6838ac8b08bd94f5346a77f3e6978ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:28:35 2024 +0200

    Added manpage.

commit e7012478bef020b19d1f45a6a5d8a99a1c3a47c0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:21:17 2024 +0200

    ShellCheck clean-ups.

commit 8c7b659de7e6d6b0d8428b8ec5316bb0a6bfb38b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:14:27 2024 +0200

    Minor update.

commit e8772134ea6307f932c0d51e88dcf9583208cb19
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:11:40 2024 +0200

    Improved script.

commit 7bf4714e2b571be888866fdf2150e6a2b84cd1cf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:02:34 2024 +0200

    Improved helper script.

commit 7a29546caba7cd6d7bc61f42224700d524aad0fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 16:54:41 2024 +0200

    Improved scripts.

commit c513dc932b15948e92f18170221ce9fc71769522
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 17:14:45 2024 +0200

    Improved test scripts.

commit c8804b651cf853e56a2085004412e39ef85df815
Merge: 53b5257b 938545d1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 14:25:32 2024 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit 53b5257bfaae3939ad44906a812c2ed2ed308021
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 14:25:01 2024 +0200

    Minor update.

commit 938545d18f1a1876e6f656bb0618605c5d5ecbd2
Merge: 2b84e523 d2e35459
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 14:16:48 2024 +0200

    Merge branch 'dreibh/results-tools' into dreibh/udpping

commit d2e35459f7b7a9009aff9983ce8c549ef41282c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 14:14:52 2024 +0200

    Improved scripts.

commit 8aadc7b5b2c0ef877ba630fd70cd41d9393e235a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Aug 5 13:51:31 2024 +0200

    Added script to start database shell based on settings in configuration file.

commit 2b84e523b15c0c0c0cff96f62d86a48234503eab
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 3 11:58:01 2024 +0200

    Updated example.

commit c007b9f7ad74af558bf793e23b7995b8b2df4c41
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 3 10:37:56 2024 +0200

    Fixed typo.

commit 6d7d399ad890927dcb9f9c0229cf46656ec32d2b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jul 3 10:22:25 2024 +0200

    Updated example configuration.

commit 448edd813a49ecf2581e587c7450ae19a909e7e4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 13 17:33:40 2024 +0200

    Renamed file.

commit dfdaf2d10cdaf7541f1361e514595e2b754d4124
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 13 16:53:55 2024 +0200

    Commented out debug output.

commit 72563713c9e017c5ca72542ac6ba71bee7b2c252
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 13 16:39:53 2024 +0200

    Configuration example update.

commit 5cac0244cc099334b3efc8d8f3d2867c6501fb70
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 13 16:39:03 2024 +0200

    Updated test script.

commit 5dcee93d115537d5938bc4a31fbf4de9018a164e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 13 13:24:54 2024 +0200

    Improved test script.

commit 56404cf93822f5351f07fd94e282f13cabb8dc4d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 13 13:22:31 2024 +0200

    Merged importer improvements.

commit 8a51fbb4ece7b7baa418ade0688b5cb58bed789d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 17:58:14 2024 +0200

    Improved timePointToString with UTC support.

commit 8fa372d326766c3db1ddc990901c9c43a78499c0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 17:58:08 2024 +0200

    A small fix.

commit 2d822acc9afd447de348dced1646e38f7b44bebf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 16:57:07 2024 +0200

    Updated description.

commit ec703421ad740f36b4d85041aa30067f89ca4144
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 16:56:00 2024 +0200

    Updated FreeBSD packaging files. Not working, yet.

commit 9c3730b6431ba78ec13093a82e714284e56543f8
Merge: ce85303b 16c964d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 16:25:48 2024 +0200

    Merge branch 'dreibh/udpping' into dreibh/freebsd

commit 16c964d2ea280b0336f4fd47f392b98b49fa3b6c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 16:16:35 2024 +0200

    Minor fix.

commit dc09c5d9d0a037657dcf007666cb0effd074977a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 15:46:05 2024 +0200

    Added check for incompatible options.

commit b599b127ef7156863f0cb8acceaaec337688a750
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 15:39:19 2024 +0200

    A fix.

commit b17d25bc463ecbd6d92714492737777a5f4244f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 14:55:17 2024 +0200

    Improved manpage.

commit 5cbfc5fd57d56420bb40cb1e6c8d0fb66dded8b3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 14:42:07 2024 +0200

    Improved script.

commit ca7547915f361a707927fd15ac659808d57cd3ff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 14:12:19 2024 +0200

    Mutex handling improvement.

commit 180c93f84e8ae9dc4eb4561e6a996486cc869c53
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 14:12:10 2024 +0200

    A fix.

commit da322010bc81c972ddb3ab789389de5562ca4106
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 13:54:24 2024 +0200

    Connection handling fix.

commit e7ed58e65c498b0d24d9848e126215f487ca5ba6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:58:39 2024 +0200

    Small improvements.

commit 6e777adc246e376d796dceabba94b962bc2aaa2a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:53:34 2024 +0200

    Some clean-ups.

commit ed580a3594dd564f0c7bb8069222cfe4886ed7f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:53:20 2024 +0200

    Mutex fix.

commit e823dbd16043cf71c3a456eac0833d927f607473
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:42:03 2024 +0200

    Updated comments.

commit d7f62222e12e9db98d544bcd621c4bbb0224fff5
Merge: def1f876 632d9987
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:18:50 2024 +0200

    Merge branch 'dreibh/mariadb-c-client' of github.com:dreibh/hipercontracer into dreibh/mariadb-c-client

commit def1f876f93bf443dba02b99e4d3d43564b2de18
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:13:40 2024 +0200

    Clean-up for reconnect(): moved common method into DatabaseClientBase.

commit 73315aa4572899f141bfba39d098ad8c581607be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:12:44 2024 +0200

    INotify improvement: just ignore hidden files and directories, to prevent log noise by temporary rsync file names.

commit 7f70993ab0dcc9abf58c71ca3dd0c69ee6d47431
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:12:38 2024 +0200

    Improved comments.

commit 632d9987c4f03ecb82d0198636e268a3e3c866a6
Merge: 8fdc8617 bafbb0ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:04:33 2024 +0200

    Merge branch 'dreibh/mariadb-c-client' of https://github.com/dreibh/hipercontracer into dreibh/mariadb-c-client

commit 8fdc8617ec931ef68752dc5beb3e0d14a1da3760
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 12:04:21 2024 +0200

    Fixed configuration handling.

commit 93ae6fcffa98ecb5e2b5d4ded5d86bf5eb5b5008
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 11:53:49 2024 +0200

    Improved helper script.

commit bafbb0ea2586482a928346880a3dd88ebaade58d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 10:40:53 2024 +0200

    Fix for reconnect.

commit 64d4b5b15e288fc63edb64d4666e62657d0e496e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 10:40:43 2024 +0200

    Improved output.

commit cfe68ac3d90a7c36fcfc5b41d73e92f853be3ac4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 10:40:27 2024 +0200

    Improved handling of broken database connection.

commit 3c19866a2bd6c74fc94bbd0aeaa2dd4f88a23df6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 09:26:47 2024 +0200

    Output improvements.

commit 08f333c3e72a9f0a1721ad4b690c71c0ce7e85d1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Jun 11 09:26:04 2024 +0200

    Improved filter regex handling: only perform filtering if there actually is a filter configured.

commit 88d1330d662dc52a6080cd8ba389ecc0f3692ffa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 21:15:29 2024 +0200

    Indentation fix.

commit 4e85c3ec2791f39e8edeb11b3cdf9ea9ebb9ab4f
Merge: 8ec22fa9 7872cddf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 21:05:42 2024 +0200

    Merge branch 'dreibh/config-improvements' into dreibh/mariadb-c-client

commit 7872cddfb460a8ffd5d0234f3e08b32eb2b145af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 20:59:18 2024 +0200

    Minor update.

commit 5814090187ed7404be756d91451b11ab36786e6e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 20:59:09 2024 +0200

    Fixed manpage.

commit 2a9f52204e61d57382ef22a72038fa0e3c4ffde5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 18:00:00 2024 +0200

    A fix.

commit 2c899f9c646f2367d52a58238efeab3d45b28684
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 17:56:25 2024 +0200

    Improved scripts.

commit db6233f478b077ac4c812ca9878c4308e07f5a42
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 17:56:04 2024 +0200

    Yet another set of ShellCheck clean-ups.

commit 3611015288e63dd71278202b502cfa7c0a7c34da
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 17:48:51 2024 +0200

    Packaging update.

commit e8f56e701677577066704597287782e6ad6585e3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 17:47:43 2024 +0200

    Removed deprecated option.

commit 657becb56dba495b8023977d14e4783e0839ff06
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 17:42:11 2024 +0200

    Improved import filter handling.

commit 8faa78e4a3e18ab342cdefd84ab6386167a4930f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 17:10:27 2024 +0200

    Added import path filter to importer configuration options.

commit ebfbc640487d57acddf44c6825cecf6898faf360
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:49:52 2024 +0200

    Another set of ShellCheck clean-ups.

commit d0dca1afc7c72cf9d71ca017bba6cfae72cfa18c
Merge: b3c11664 e8f8d5b0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:45:45 2024 +0200

    Merge branch 'dreibh/config-improvements' of https://github.com/dreibh/hipercontracer into dreibh/config-improvements

commit e8f8d5b0968130d34b8ae5f59391c2ba5f53290d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:45:33 2024 +0200

    Some more ShellCheck clean-ups.

commit b3c1166482a6c16a4727de5d4baf440606de5706
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:45:27 2024 +0200

    Minor update.

commit 49e251ff74481b8041677f6037e4f40f69988ab1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:37:52 2024 +0200

    ShellCheck clean-ups.

commit a4199b83fa1d9916d2dbc94858fa56f8660be1ca
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:30:10 2024 +0200

    Minor fix.

commit cde7f2e74aa99717ca436ad297645c40c0220a54
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:29:39 2024 +0200

    Some clean-ups.

commit 9084952ac2f70a8798cf143ec79230d9617041e2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:23:21 2024 +0200

    Improved scripts.

commit 66de75addb2bf806764e862d132051fde0b4c06a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 16:08:17 2024 +0200

    Improved script.

commit df7b86788d81ef243d08496d0b97cb027f869eba
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 12:17:02 2024 +0200

    Bugfix: --resultstransactionlength cannot use -l as short form, using -x instead.

commit 4ef484b58e86c3252c0cb1f6589ab593e42de128
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 15:46:01 2024 +0200

    Splitted configuration into importer and database configuration.

commit 080e6091356f4ce6e225597904d1b0453d5df117
Merge: 129d722f 426b214c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 14:35:32 2024 +0200

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit 129d722fdfa509e6f50abde3d027bc576c0e6a89
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 14:34:56 2024 +0200

    Improved debug output.

commit 8ec22fa93c9b2bf6b7495bd16759d9ce661f7230
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 13:49:40 2024 +0200

    Improved backend configuration in CMakeLists.txt.

commit 53f0b86c6635af46b6b60bffca44fa5f5039d6ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 12:17:02 2024 +0200

    Bugfix: --resultstransactionlength cannot use -l as short form, using -x instead.

commit ce85303bdc0116b0617074825bbd1d82c745d0d1
Merge: 52ec7687 426b214c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Jun 10 09:47:20 2024 +0200

    Merge branch 'dreibh/udpping' into dreibh/freebsd

commit 426b214c2e4d3a6e3d53589b0bd8c645888ce02a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 15:37:10 2024 +0200

    Added CLang compiler flag.

commit ee904d538bc17550a8af02946b76607bc11b434d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 16:33:48 2024 +0200

    Some clean-ups.

commit 24b39496fbaf036102eb2e2e9731bf183e5b4ced
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 16:29:23 2024 +0200

    Some testing.

commit e632eb17c563b078d9c577eb780a5dc6d38b42e8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 14:48:25 2024 +0200

    New backend is working.

commit fca7fc5473f2de86e6b0ad10f31f79329c19362e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 14:40:05 2024 +0200

    MariaDB backend based on libmariadb now complete.

commit 0d15daae4592554294d0c9ed5beafe80605246f8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 14:39:53 2024 +0200

    Updated test program.

commit f66e0c30ed2ca2dcb519e5c743f5b844ac6c3b4d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 12:39:15 2024 +0200

    Some more progress.

commit db27434d75d43fef9e6365b5e61e195a8c74f54f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jun 7 11:53:32 2024 +0200

    Some progress.

commit a7e3d47c6ae7c4b45d7326e0a87d5f97b670c0b4
Merge: b2fcc73b 1670612e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 15:38:55 2024 +0200

    Merge branch 'dreibh/udpping' into dreibh/mariadb-c-client

commit 52ec7687407e7e2d66b3bc25ad12031d2ff52e0a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 15:37:10 2024 +0200

    Added CLang compiler flag.

commit 1670612edc2f027c3b2c4c64bd4e1b14542fce40
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 15:06:52 2024 +0200

    Moved database backend module registration, to handle gcc linking issues: The registration was optimised out, leaving no available IO modules.

commit 00e0dde88344562888456ee96665b2d269930f1c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 14:57:24 2024 +0200

    Packaging configuration update.

commit b2fcc73b357e2527e1d241729a8a50fa1d56fac0
Merge: b8519698 daf76bb7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 14:49:11 2024 +0200

    Merge branch 'dreibh/udpping' into dreibh/mariadb-c-client

commit daf76bb7dc3251cccb799e3bc5e0f248efe71eed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 14:48:51 2024 +0200

    Some clean-ups.

commit b8519698a5ced7cc8c06dedc41c6e4f07df86b81
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 14:42:11 2024 +0200

    Some progress on MariaDB client initialisation.

commit 81dac1c334f33b19256acd03a3b8aa7f1631b68e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 14:10:48 2024 +0200

    Dependency updates.

commit 588fde051aad89ac4e14d2ea9b6d9b700658dbb1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 13:57:49 2024 +0200

    Towards moving vom C++ MySQL connector to C MariaDB connector.

commit ce8d3c19941a91a5e74af1239fee97ce8e5e3ebd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 13:36:21 2024 +0200

    Some clean-ups.

commit e5dec2e0a7488129e26810631f9d8cef3ecc84de
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 13:19:04 2024 +0200

    Improved script.

commit 67ee4787ef12ddff8c9915ec28ad45803dabed35
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 12:30:33 2024 +0200

    Another update.

commit 3ce8c224527e3016348a463deb77f380f4c2c16e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 12:29:00 2024 +0200

    Improved build process.

commit 9f1d60a3008c2696c737f138d69409a73a472119
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 11:56:20 2024 +0200

    Improved CMake build process.

commit 0fa3d41eb929e7f94f2ad1261c7692b9aebad1d6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Jun 6 11:30:14 2024 +0200

    Properly handle shared/static library builds in CMakeLists.txt.

commit da15fe08c305fd7ab115015ce2f0130a76a68408
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 22:53:39 2024 +0200

    Added two more sendto() error codes.

commit 2193537695987c533c3c41ed6e69dc582f81b52a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 22:33:36 2024 +0200

    Improved error code handling and fixed documentation in manpage.

commit a0306da464edf56a2f101f14812284ec41847714
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 22:15:09 2024 +0200

    Bugfix: findSourceForDestination() must return IPv6 address "::" when destination is IPv6.

commit 117d2db0d4e45ef6ebd477520cea221afb314480
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 18:24:43 2024 +0200

    Improved test script.

commit 634ff47478a8d4a4e4f752f23cfb1c9afdd8d045
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 18:24:36 2024 +0200

    Removed debug output.

commit a59431f3a81e18e14367a3fff045b42bcb56a5aa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 18:20:37 2024 +0200

    Improved test script.

commit a130bdfe7954325f5d926c0d21a35c8090d6af1e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 15:37:51 2024 +0200

    Build fix for Alpine Linux.

commit 1a8820630af9810d596946138ff374443a62ebb0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 15:33:18 2024 +0200

    Added test script.

commit 71dbfbe31e2b5633903247a4c01067c6ff2ae658
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Jun 5 14:56:31 2024 +0200

    Moved IO module registration, to handle gcc linking issues: The registration was optimised out, leaving no available IO modules.

commit 3f5095b5a76cd96ebd6f30f42321eae9fbc79e4d
Merge: 3e5a2755 70f55049
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu May 23 15:13:23 2024 +0200

    Merge branch 'dreibh/tls-config' into dreibh/udpping

commit 3e5a2755f957b7aee5ada873daba350406e44d67
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 16:21:06 2024 +0200

    Further improvements.

commit 4204cffd33d67051bc0f7d78eae177c121b726c9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 15:17:24 2024 +0200

    Further improvements.

commit eea2c1ca3ea7ad2cf3695a73df13f44d32cfd8ef
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 15:07:25 2024 +0200

    Improved FreeBSD DB tests.

commit d9927a6ba68be65d0df79d5170e394c527d1d722
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 15:05:39 2024 +0200

    FreeBSD port Makefile update.

commit 09dc0b4001b5931d0d728faa5d3e5ff6258fc0c5
Merge: 1d028284 230bc63b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 14:43:04 2024 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit 1d02828414f21d72acd89de5862e2419c7895c4a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 14:42:42 2024 +0200

    Improved FreeBSD support of test scripts.

commit 230bc63bab08d7c7e0ea78cb2acdbb6c636bbbb6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 13:45:37 2024 +0200

    Fedora database test is now working with MariaDB.

commit a89eb30660e7153c2d418b1ce404298024881736
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 13:26:09 2024 +0200

    Added Fedora support for test DB installation.

commit 45c2ac8bb4dbf87b00b250bb47ea028aea6b1274
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 12:58:57 2024 +0200

    Further improvements.

commit b7075d229d93c0b7d659e527244b86076e53d36c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 12:27:34 2024 +0200

    Improved scripts.

commit d16881dc03a20567c6df4fe6a27d07b158066f63
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 30 16:57:59 2024 +0200

    Configuration update.

commit 70f5504993a819d2c88f524e0baef01877ea87d7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri May 3 11:13:00 2024 +0200

    Some testing.

commit d325143f235229ad4456b896b82365cafeb4eacd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 30 16:57:59 2024 +0200

    Configuration update.

commit 0e2c402a71598083742136538c87d74e9d14f440
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Apr 30 16:53:34 2024 +0200

    Added TLS user setup.

commit f923660b26cae76c3230977e5add387feb33a66b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 25 11:20:41 2024 +0000

    Another path update to find the MySQL C++ connector.

commit 199c0665c8dc1c3d15006f73a93c1ca865113918
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sun Mar 24 12:43:24 2024 +0100

    Search path update for includes of MySQL/MariaDB connector library.

commit e0f25e64b2973c8905afc47523bd861183ad9778
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 14:24:02 2024 +0100

    Updated test script.

commit a24558d59d9faa2592dd5807c47211bb031d1802
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 11:37:26 2024 +0100

    Removed debug output.

commit b1691e4dd92da5548099b3e3eb2d8eefeec0587a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 17 13:14:47 2023 +0100

    Improved script.

commit a33146e6382b4166dd1cdc7b74b8d7b3bbf2059f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 11:01:34 2024 +0100

    Output clearification.

commit 3af43d80851bc4036fe53ae912a6240750eb0923
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 10:55:45 2024 +0100

    Another output update.

commit 7a926bd31d22e5243cc5c0a3ad7da8db880df8b8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 10:54:34 2024 +0100

    Improved output.

commit e21dd346df7a730afc743e593c4e7bcf9dc6443c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 10:41:43 2024 +0100

    Minor update.

commit 61cbdcc1eca3e6f243b4137bb05f730f119cfe86
Merge: eec87544 82ddc04b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 10:37:28 2024 +0100

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit eec87544f6624ece09759b9c2965f1f513a39dd7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 10:37:12 2024 +0100

    Improved startup logging.

commit 3e320247218d2596de85f11992e31fa627f577c2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 8 10:23:18 2024 +0100

    Made interval deviation configurable.

commit 82ddc04b82936252afc0e322ef7103bca6d51c06
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 4 12:38:19 2024 +0100

    Fixed indentation.

commit fdacfc2506ffb5d20cc37616a872ffdff0823295
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Mar 4 12:36:18 2024 +0100

    Some clean-ups.

commit e7787264a807ed75e1002d607cbab1b45abfd3cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 1 17:06:47 2024 +0100

    CMakeLists improvement: Added missing checks for libbz2 and liblzma.

commit 82910bd2f9c33912978084e8bcadc8d1490bb86b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Mar 1 16:52:14 2024 +0100

    Bugfix: Need to bind UDP raw socket as well.

commit e1f3de3bfa79a670a79889c05c383ca6638859d5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 26 13:15:18 2024 +0100

    Improved regex.

commit 12c3d7a01d9ff18bf9c67c62d88f6550c35062f9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Feb 26 13:07:47 2024 +0100

    Fix for handling link-local IPv6 addresses with scope.

commit 9ef53ee324508aba2108b8c81f5df2f55d99b231
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Feb 10 13:11:38 2024 +0100

    Updated FreeBSD packaging files.

commit 2128e5e836958d1c31ef6abda680fcb56da2a275
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Feb 6 15:49:07 2024 +0100

    ICMP checksum handling fix introduced by recent clean-up.

commit 96033da1a99be7b501118a0fc92da7bfa62c36d7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jan 26 16:11:56 2024 +0100

    CSV output improvement.

commit 8d1539b1e3e6896d536715160e08748a8e54446f
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jan 26 15:52:21 2024 +0100

    Minor formatting update.

commit 54132b82992bf1fffdc7a15011bb36f4f8274db8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jan 26 15:39:50 2024 +0100

    Fixed race condition.

commit b2aafa6b5299a9df9cc46bb30cbcbadad65d27ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jan 26 12:37:40 2024 +0100

    Disabled experimental code in this branch.

commit 1c6a3099f619f8b8d8fcf3a646c7e31eec828224
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Jan 26 12:15:33 2024 +0100

    Add version information to output generated by HPCT Query.

commit 933585eac640d1592057fc9c46a73bfac652e8d4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 18 11:43:04 2023 +0100

    Updated FreeBSD packaging.

commit 13e8d510fa797588bfd40238960228771660f7d3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Dec 18 10:06:46 2023 +0100

    Updated FreeBSD packaging.

commit 69f35563f25c40ef5237ff99bc94fc67a36d722d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 13:24:58 2023 +0100

    Packaging fix.

commit 5c180db64fbffb2a4e160d00b7da470ab5463c2e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 12:46:55 2023 +0100

    FreeBSD packaging update.

commit 599812f81a8b86269feefcf13b7079f1ec8a5db2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 12:32:38 2023 +0100

    Improved FreeBSD test script.

commit 329ab5fd0cb6bf6cbdc70440db2cc4572f516d27
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 12:31:22 2023 +0100

    Updated CI scripts

commit 2aee73985f932d0210fdb239c9770c66033b1cef
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 12:31:20 2023 +0100

    Updated build scripts

commit 83fad1911822dd84b5357e0b0647c08e5162016e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 11:51:40 2023 +0100

    Updated LSM entry.

commit a924d4ed89adbf9be74688b7c07d6d605c87f31c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Dec 7 10:20:16 2023 +0100

    Updated packaging configuration.

commit d80b03ff47643855288614b608056bb5377a55aa
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 6 17:01:29 2023 +0100

    Updated LSM entry.

commit e643e033ee1f4f25825582ebf72c7168eb1a19dd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Dec 6 16:54:13 2023 +0100

    New release hipercontracer-1.6.10.

commit 36143571fccbc9d6f5c63daf3fedacc6c7f3d9a0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 5 16:15:19 2023 +0100

    Commented out unused variables.

commit bebe5d1944e68327445a495e9e2ffc29a1a4d460
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 5 16:07:38 2023 +0100

    Turned off debugging code for ICMP checksum handling.

commit 19240b53ea0c9f8c04801461c8c807a92711ceff
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 5 15:59:15 2023 +0100

    Commented out Jitter service, which is still experimental.

commit c6a84c47e57a0f70f26ade2a9d5727b04002456a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 5 11:05:57 2023 +0100

    Commented out Jitter service, which is still experimental.

commit 9abc310e76ea08a4cfbcb953a3c73fcdd13aeea6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Dec 5 10:46:50 2023 +0100

    A fix.

commit 0569dcda31ceb6ae997b17c26f99f879f81cbd91
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 16:40:44 2023 +0100

    Packaging update.

commit 066ac840d216ff0eecf4673a712a95a9b2ca9054
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 16:05:32 2023 +0100

    Another fix.

commit 160b5c75b2ecb111a691e90956b6b8445e36e750
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 16:02:41 2023 +0100

    A fix.

commit a1056cd5bc5703adf9170de3d4dc11b40705ef79
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:49:53 2023 +0100

    Improved test scripts.

commit bc891493b7c262efb3d89c02a8bfb25f532b6e01
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:40:40 2023 +0100

    Further updates.

commit 60f998381ccb21da90daca743e08ecb891d04c9e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:37:07 2023 +0100

    Another fix.

commit 1afa9d88af2cefdc3ca57a4b9a866e3b46066ee7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:31:56 2023 +0100

    A small fix.

commit d5723b3c50ea9fe6eabb5ce18ef111120f70be0a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:28:56 2023 +0100

    Updated test script.

commit 5d6da5bdf8df5f25707714d1209fa42a683da367
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:28:17 2023 +0100

    Updated Results Tool.

commit de13920faa3d465f256c8f18b9e839811665216a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 15:24:52 2023 +0100

    Added Jitter support to Query Tool.

commit a2a3c2528d521aec5e12e8822e65675d0af9b12b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 14:54:12 2023 +0100

    Updated manpage.

commit 9c7bcd5b672327b7da4dcc289285a562680d1755
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 14:52:33 2023 +0100

    Updated Jitter importer.

commit 517e0a447a70734d95b968e4941e607529c93672
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 14:32:46 2023 +0100

    Updated schema.

commit cda8499dcf30351fe5191a74ae64f6b634d58cb9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 14:09:31 2023 +0100

    Added missing Jitter importer.

commit 9298eab61ccad44ce00bb75e23cac95f523185e8
Merge: 8b0e7cfa 880def52
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 10:50:49 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit 880def52b3767b369ade008c4357a70077ad0257
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 10:24:41 2023 +0100

    Version bump.

commit 22b269d96b18d4ec81c7f0cbe33bc944079290fd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 10:17:03 2023 +0100

    A fix.

commit 071652597b87f68139abcb043420fd4afa6f058a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 10:12:30 2023 +0100

    Moved checkEnvironment() into library.

commit b9168f9628ea9fcd592fc6915c2584703a635b59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 10:00:53 2023 +0100

    Manpage update.

commit 1187bad84984ed3891086bbc03de844167493083
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 09:36:28 2023 +0100

    Some clean-ups.

commit 3308ee680f2c1bc339f95c606234ce0622a0a908
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 09:31:27 2023 +0100

    Improved port number option handling.

commit 90dd25d7af16dee18276d436ca08eca598584ca9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Dec 1 09:13:54 2023 +0100

    Further improvements.

commit 563ad117dbb8206cd4dcb851e900a46c0a1c8857
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 30 17:02:28 2023 +0100

    Reorganised parameter handling. Not complete, yet!

commit 8b0e7cfa518fabf95129d5c17944168225f32bcd
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 12:21:27 2023 +0100

    Header updates.

commit 181f3b569bae5663f62a66adb5173cf31befc582
Merge: 0afe3eb9 5df191a4
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 12:20:26 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit 5df191a4694dc908eed512fa67f5d403a486bb6a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 12:17:05 2023 +0100

    Header updates.

commit dba95b30370aa84dcc140062384bab5f7a5b1cd7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 10:53:51 2023 +0100

    Packaging clean-ups.

commit ec2cbca57a3371d345f311972f19109462176d13
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 09:53:31 2023 +0100

    Header updates.

commit 5a51b4d943065df672480793536c9bb2719e6766
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 09:52:23 2023 +0100

    Updated build scripts

commit 1d2bbef68127cf12fbf7821b166f0639089219e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 09:33:50 2023 +0100

    Updated CI scripts

commit 9a116fa0a3cb2a24cd62e2cec805538b04e906ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 15 09:33:48 2023 +0100

    Updated build scripts

commit 657ba662a30be9c092242ab97d8331ae2c74a9bf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 15:41:46 2023 +0100

    Improved script.

commit 0bc89abb346745e118f44cccdff9b59e0d1650e8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 15:40:04 2023 +0100

    Added helper script.

commit 2f7c709573b66698498d0f875cf47b92908b7b48
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 15:14:59 2023 +0100

    Minor code formatting update.

commit 0afe3eb9a5dd705405edbd084440b4e9124dc1fd
Merge: 08613801 a84c678a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 13:09:58 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit a84c678a64638bd3488d5bd501a04bd06941e3f2
Merge: a91510f5 4c2c3472
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 13:09:24 2023 +0100

    Merge branch 'dreibh/database-tools' into dreibh/udpping

commit 4c2c3472a467d08266de63a99286444cb04624ea
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 13:02:07 2023 +0100

    Added examples.

commit 08613801f609e3012b5cc736ab8494037e145186
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 13:00:41 2023 +0100

    Minor update.

commit 49ccfb3f320549a452e3a6ca83a408d57de4321f
Merge: 1b1cd67a a91510f5
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 12:57:04 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit a91510f57ae7c2c478673e2a58c691357590ab17
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 12:56:09 2023 +0100

    Removed unnecessary statements.

commit 01004f0e1b8165270982fe59a1cdd825019d4f5b
Merge: b7d5f8f9 5468685e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 12:52:11 2023 +0100

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit b7d5f8f96f09c39791d0d3a8c9a5862a0abf2c7c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Nov 13 12:47:43 2023 +0100

    Reader clean-ups.

commit 5468685e1b7c952d11a82babb2d76e05c5ca349b
Merge: 4ca4f7c6 f8c82974
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 11 18:17:28 2023 +0100

    Merge branch 'master' into dreibh/udpping

commit f8c82974d305b4c1c9fb8ded8c8076cebf43d826
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Sat Nov 11 17:51:23 2023 +0100

    Workflows update.

commit 1b1cd67a4db2b05d24d69b520d5a52af8f56acc8
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 10 10:46:48 2023 +0100

    Added type field for jitter, to allow for easy future extension.

commit 53d6787c2da7aa330b3d14c7a2e8dbaa8079331b
Merge: c13ea530 4ca4f7c6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 10 10:34:29 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit 4ca4f7c60d6a83020166f62fcb706a9d49c40ac0
Merge: 365d4734 501d29d7
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 10 10:33:11 2023 +0100

    Merge branch 'dreibh/database-tools' into dreibh/udpping

commit 501d29d763b641a1ef9337cdefa54114345771af
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 10 10:31:46 2023 +0100

    Query Tool does not need import paths -> added option to DatabaseConfiguration::readConfiguration().

commit c13ea530dbd88d44414589c004abb61c2870e38c
Merge: c389c732 365d4734
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Nov 10 10:24:59 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit 365d4734a44bbf05aa093d8e935353b3e5554d35
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 9 14:00:00 2023 +0100

    Added check for TTL settings.

commit ce8b618718a568266e68f05564df9569370d7f15
Merge: f77e7b94 a6356199
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 9 13:55:06 2023 +0100

    Merge branch 'dreibh/database-tools' of https://github.com/dreibh/hipercontracer into dreibh/database-tools

commit f77e7b94f0a944f13335d7f5eccec04ae4baad59
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 9 13:54:55 2023 +0100

    Improved script.

commit c389c732d56aec37acb60bd7c8fee70275a20194
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 9 13:54:28 2023 +0100

    Some clean-ups.

commit 3608a747901306f4bc9fb0e2e8f741c042b3b4b3
Merge: 7213a876 4cba2ecc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 9 13:54:13 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit a635619913a1a13a64ce2e09852016b9375be442
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Nov 9 12:22:36 2023 +0100

    Updated script.

commit efaef2a5101f015e2c4c8a44245417a69b3c1476
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 16:53:15 2023 +0100

    Minor update.

commit fb8a41d42d81ba489308f8df96bc0b27c454e778
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 16:49:00 2023 +0100

    Updated script.

commit 9e41c5390d70cbce75c1e64f31e46adbd8102532
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 16:42:11 2023 +0100

    Query Tool now supports MongoDB filters as well.

commit ea412c2164bd10101ba1fec3f7196dee2ed26b32
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 16:41:56 2023 +0100

    Minor clean-ups.

commit 4a534200dda227efadc1b93a3e35e3ba030d1e24
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 16:33:03 2023 +0100

    Bugfix: memory freed twice in case of error.

commit 562c42d9f8a46f90dd0f8bcf4858502fa675e4d2
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 15:52:13 2023 +0100

    Minor update.

commit c95feebd0cfb04e4510c88246f3c9851811f7f67
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 15:38:50 2023 +0100

    Improved Results Tool.

commit a42379fb9b2466d116b80d3110f8ee8b6c2b63e6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 14:37:28 2023 +0100

    Improved error handling.

commit fdd38764ebbad2a3597adf57d393a21b97368f5b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 14:12:57 2023 +0100

    A fix.

commit 47569dc0c0be6136d426e373a5c70f59d9ba7011
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 13:43:03 2023 +0100

    Added missing parameter check for --max-threads.

commit 5e00d2c72d900428bc2e62a50ab2c9e66967830e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 13:11:12 2023 +0100

    Output format improvements.

commit 43fc66266c4de0f9c8234faccd854564a0ec6788
Merge: 1aa713fe 4cba2ecc
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 12:11:04 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/database-tools

commit 4cba2ecc7479e65f4d95c8d27bb8169d26557971
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 12:02:24 2023 +0100

    Version bump.

commit a54f03b79ad0ac37d5722715e438b23ff0297c28
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 12:01:02 2023 +0100

    Packaging update.

commit d1e2a4c13206c0f493c0f776e3fb4a1c4c847d6e
Merge: 47f4ef0e 90301153
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 11:03:57 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/version

commit 1aa713fee9a8c57d8a18432d6b8118b57fc7b14e
Merge: 64ca7436 90301153
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 11:02:41 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/database-tools

commit 7213a876a097f0ea35f8bc251a0ffc7a47029e6e
Merge: d52cc969 90301153
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 10:53:33 2023 +0100

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit 9030115333c2bc3c3caa436fbece237ab2b22eb9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 10:49:20 2023 +0100

    Manpage hyphenation fixes.

commit 9e11172c45ce4b4859f0c065531440d4ad421614
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 10:45:49 2023 +0100

    Added options to read sources/destinations from file.

commit e06270f0cc0e96ebbe2c1016fbca2258d87f7a09
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Nov 8 09:38:18 2023 +0100

    A fix.

commit 47f4ef0e45d697e88c00a20579a2be30a816cce9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 26 18:01:43 2023 +0200

    Added version file.

commit 64ca743654b573138f8ffae79bec30a4b9c14edf
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 26 17:22:08 2023 +0200

    Added version header to results files.

commit 62c314d2c480b9a3ec5bf7c14a330db807c6d331
Merge: 2e2050f0 13823df9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 26 15:11:01 2023 +0200

    Merge branch 'dreibh/udpping' into dreibh/jitter

commit 13823df975348b30bc78d987c1ac9b4f91f41d13
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 25 16:34:37 2023 +0200

    Improved scripts.

commit 926f465b5de8a9ff2e2ae8682f22aa42c74df9ee
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 25 15:48:33 2023 +0200

    Improved scripts.

commit e8e346616c17d0c22e8df9c9a7f83257833c5626
Merge: 1eff9f9f 5d46f756
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 25 15:18:33 2023 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit 1eff9f9f127295b9b331b889ba0d538ad07f4946
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 25 15:18:27 2023 +0200

    Improved scripts.

commit 5d46f756a4624498aa2afda9769a709592e7e8fb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 25 15:18:19 2023 +0200

    Minor update.

commit fb2c517c6c6287482184a6a50db8ba5f875fc64a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 25 15:08:12 2023 +0200

    Improved helper script.

commit 2e2050f0f186411b13ed8e5ab7dcbbd3604365f3
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 24 12:09:21 2023 +0200

    Added comment.

commit 14699df7dfc09b55de0d3f6c1f5affc65a98611e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 24 12:01:39 2023 +0200

    Added Jitter reader stub.

commit fc50ee44cff77811c9f163d9f2ad74dd29e660ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 24 12:01:08 2023 +0200

    Added Jitter table.

commit 6a0104e501b0e4564bc935f8154a3ae7fed595ac
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 24 11:50:05 2023 +0200

    Improved comments.

commit ebc555dc72602e242099fba0d7e938e413c096cb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 23 17:32:45 2023 +0200

    A fix.

commit 8d2af6ca4935607184129f12967fc3d0d017d896
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 23 17:11:28 2023 +0200

    Updated RPM spec.

commit f535dce3baee3aa9aca247b238da2a6692430f5b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 23 16:39:37 2023 +0200

    RPM spec update.

commit 715382d81d1edec6129b2f38ba121042e164003a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Mon Oct 23 16:27:00 2023 +0200

    Added SystemD unit for importer.

commit b868425ccea01d8a95729f5330bb40761b38a26c
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 20 13:44:46 2023 +0200

    Improved comments.

commit 9eb06756fec6f7f916eebcf8894299c8fbd89bb0
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 20 11:18:00 2023 +0200

    Updated script.

commit f74538b871815608a04926d7c8dd017da79839ec
Merge: f997b534 596dc9a1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 20 10:54:24 2023 +0200

    Merge branch 'dreibh/udpping' of https://github.com/dreibh/hipercontracer into dreibh/udpping

commit f997b534bba19b2733621164fe51e25279e17f2a
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Fri Oct 20 10:54:10 2023 +0200

    Using PAGE_COMPRESSED for MariaDB/MySQL.

commit 596dc9a1cd1124a48cc6cf379d5fec4da2a9f554
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 19 14:36:50 2023 +0200

    Added helper script.

commit 5c069b07544ab5c03a16cb5c3e5a64493f17ddf6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 16:51:30 2023 +0200

    Renamed hpct-results-tool to hpct-results.

commit 218e6a9a27bfad19391a9fa7fa2efe85ed6185ad
Merge: e290faa4 fc55462e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 14:58:15 2023 +0200

    Merge branch 'dreibh/udpping' of github.com:dreibh/hipercontracer into dreibh/udpping

commit e290faa4a704b04a48df2c644bc01881fef767ed
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 14:57:50 2023 +0200

    Schema fixes.

commit fc55462e43346cafb90998c966e1fdaf35ec8235
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 17 15:45:28 2023 +0200

    Improved script to handle mounts instead of directories.

commit f51d4b09f2c5d9e0a1c7c3acb6d038d0c20c9200
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 13:52:59 2023 +0200

    Create user and directory on installation.

commit a12346746539b8a087eacd934f2011aa3ee15533
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 13:36:51 2023 +0200

    Small fixes.

commit 83ba2c0f2fb4ec071ce9647050f1b8b76f993474
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 13:17:37 2023 +0200

    Removed deprecated MariaDB OPT_RECONNECT option.

commit 7017a014cf63432a929f336a61af582371d617d1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 13:08:49 2023 +0200

    Updated query tool.

commit 299c9f27c89d04e35a1ee37348f2fab07a502b77
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 18 12:34:23 2023 +0200

    Added port numbers to results output.

commit 5c490c4304ecf641ce4eb3493e061b43f2c149be
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 17 12:24:56 2023 +0200

    SystemD unit improvements.

commit 5a805c0b44edde92b22c80c9c71c77e63fee4975
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 17 12:13:09 2023 +0200

    Improved UDP Echo server.

commit 9814a476cadff2f3cab512e3ec2343885b7b5d26
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Thu Oct 12 14:55:54 2023 +0200

    Added SystemD Unit file for UDP Echo server.

commit 7c073dd0cefc54c83acdb6407960c0c0d66f60c9
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 13:05:05 2023 +0200

    Updated manpage.

commit cd76a992b74fd18a3eb655bf444bb20888897122
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 13:04:57 2023 +0200

    Minor clean-up.

commit 21b72a9ff420c32d440df0e28089dbb69478fcf1
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 13:00:35 2023 +0200

    ICMP now working on FreeBSD again.

commit b299be2d2d42a63e400dba098e40221e550c208b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 12:50:19 2023 +0200

    Simplified time processing.

commit d78203c044098ab79353b42a57d1a522fbe09dfe
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 12:24:39 2023 +0200

    Improved time handling.

commit 3fafb37507fcac57fa6c9758a1ea700d9608639e
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 11:59:16 2023 +0200

    Minor update.

commit 8eaa6bbfa30038e658b0d40e3d3883a21027bb45
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 11:27:00 2023 +0200

    Improved system information.

commit f53f49d579c36880bcbda168ed79bb70f66afb9d
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 11:22:10 2023 +0200

    Improved build information output.

commit 81372ae8f755dfcca79fbb02888d719e2873564b
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Wed Oct 11 11:06:31 2023 +0200

    Added option to print some timing information.

commit 4e6d5eafb1718e55e44d7b98504b9b1366c64faf
Merge: 5f06b47f 704e1ccb
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 10 16:34:24 2023 +0200

    Merge branch 'dreibh/freebsd' of https://github.com/dreibh/hipercontracer into dreibh/freebsd

commit 5f06b47f671c1229bf32a98d2b2c4b678ecd5f69
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 10 16:34:15 2023 +0200

    Some more FreeBSD work.

commit 7b7a19de96b93216a5f2c20ca8bc42a1eaa04507
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 10 16:33:34 2023 +0200

    FreeBSD build fix.

commit 704e1ccbf0440756b47fd1b1bf110b7e49258b75
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 10 16:32:13 2023 +0200

    Some clean-ups.

commit 5a5d2a1ff58be4537c49edef21cdc48928932ef6
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 10 16:30:27 2023 +0200

    Updated manpage.

commit 9679e060c2849eb305fe1a75cb7a849a0a5295ce
Author: Thomas Dreibholz <dreibh@simula.no>
Date:   Tue Oct 10 15:46:05 2023 +0200

    Some more work on FreeBSD support.

